Index: trunk/dports/audio/arts/Portfile
===================================================================
--- trunk/dports/audio/arts/Portfile	(revision 2121)
+++ trunk/dports/audio/arts/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.2 2003/03/03 06:10:39 mij Exp $
+
 PortSystem 1.0
 name		arts
Index: trunk/dports/audio/audiofile/Portfile
===================================================================
--- trunk/dports/audio/audiofile/Portfile	(revision 2121)
+++ trunk/dports/audio/audiofile/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.6 2003/03/03 06:10:39 mij Exp $
+
 PortSystem 1.0
 name		audiofile
Index: trunk/dports/audio/bladeenc/Portfile
===================================================================
--- trunk/dports/audio/bladeenc/Portfile	(revision 2121)
+++ trunk/dports/audio/bladeenc/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.23 2003/03/03 06:10:39 mij Exp $
+
 PortSystem 1.0
 name		bladeenc
Index: trunk/dports/audio/esound/Portfile
===================================================================
--- trunk/dports/audio/esound/Portfile	(revision 2121)
+++ trunk/dports/audio/esound/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.4 2003/03/03 06:10:39 mij Exp $
+
 PortSystem 1.0
 name		esound
Index: trunk/dports/audio/icecast/Portfile
===================================================================
--- trunk/dports/audio/icecast/Portfile	(revision 2121)
+++ trunk/dports/audio/icecast/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.7 2003/03/03 06:10:40 mij Exp $
+
 package require port 1.0
 name		icecast
Index: trunk/dports/audio/ices/Portfile
===================================================================
--- trunk/dports/audio/ices/Portfile	(revision 2121)
+++ trunk/dports/audio/ices/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.6 2003/03/03 06:10:40 mij Exp $
+
 package require port 1.0
 name		ices
Index: trunk/dports/audio/lame/Portfile
===================================================================
--- trunk/dports/audio/lame/Portfile	(revision 2121)
+++ trunk/dports/audio/lame/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.11 2003/03/03 06:10:40 mij Exp $
+
 PortSystem 1.0
 name		lame
Index: trunk/dports/audio/libao/Portfile
===================================================================
--- trunk/dports/audio/libao/Portfile	(revision 2121)
+++ trunk/dports/audio/libao/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.7 2003/03/03 06:10:40 mij Exp $
+
 package require port 1.0
 name		libao
Index: trunk/dports/audio/libmikmod/Portfile
===================================================================
--- trunk/dports/audio/libmikmod/Portfile	(revision 2121)
+++ trunk/dports/audio/libmikmod/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.7 2003/03/03 06:10:41 mij Exp $
+
 PortSystem 1.0
 name		libmikmod
Index: trunk/dports/audio/libogg/Portfile
===================================================================
--- trunk/dports/audio/libogg/Portfile	(revision 2121)
+++ trunk/dports/audio/libogg/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.6 2003/03/03 06:10:41 mij Exp $
+
 package require port 1.0
 name		libogg
Index: trunk/dports/audio/libshout/Portfile
===================================================================
--- trunk/dports/audio/libshout/Portfile	(revision 2121)
+++ trunk/dports/audio/libshout/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.6 2003/03/03 06:10:41 mij Exp $
+
 package require port 1.0
 name		libshout
Index: trunk/dports/audio/libsndfile/Portfile
===================================================================
--- trunk/dports/audio/libsndfile/Portfile	(revision 2121)
+++ trunk/dports/audio/libsndfile/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.7 2003/03/03 06:10:41 mij Exp $
+
 PortSystem 1.0
 name		libsndfile
Index: trunk/dports/audio/libvorbis/Portfile
===================================================================
--- trunk/dports/audio/libvorbis/Portfile	(revision 2121)
+++ trunk/dports/audio/libvorbis/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.6 2003/03/03 06:10:41 mij Exp $
+
 package require port 1.0
 name		libvorbis
Index: trunk/dports/audio/mad/Portfile
===================================================================
--- trunk/dports/audio/mad/Portfile	(revision 2121)
+++ trunk/dports/audio/mad/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.12 2003/03/03 06:10:42 mij Exp $
+
 PortSystem 1.0
 name		mad
Index: trunk/dports/audio/mp3info/Portfile
===================================================================
--- trunk/dports/audio/mp3info/Portfile	(revision 2121)
+++ trunk/dports/audio/mp3info/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.3 2003/03/03 06:10:42 mij Exp $
+
 PortSystem 1.0
 name	        mp3info	
Index: trunk/dports/audio/mpg123/Portfile
===================================================================
--- trunk/dports/audio/mpg123/Portfile	(revision 2121)
+++ trunk/dports/audio/mpg123/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.6 2003/03/03 06:10:42 mij Exp $
+
 package require port 1.0
 name		mpg123
Index: trunk/dports/audio/normalize/Portfile
===================================================================
--- trunk/dports/audio/normalize/Portfile	(revision 2121)
+++ trunk/dports/audio/normalize/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.5 2003/03/03 06:10:42 mij Exp $
+
 package require port 1.0
 name		normalize
Index: trunk/dports/audio/shntool/Portfile
===================================================================
--- trunk/dports/audio/shntool/Portfile	(revision 2121)
+++ trunk/dports/audio/shntool/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.7 2003/03/03 06:10:43 mij Exp $
+
 package require port 1.0
 name		shntool
Index: trunk/dports/audio/shorten/Portfile
===================================================================
--- trunk/dports/audio/shorten/Portfile	(revision 2121)
+++ trunk/dports/audio/shorten/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.5 2003/03/03 06:10:43 mij Exp $
+
 package require port 1.0
 name		shorten
Index: trunk/dports/audio/sox/Portfile
===================================================================
--- trunk/dports/audio/sox/Portfile	(revision 2121)
+++ trunk/dports/audio/sox/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.5 2003/03/03 06:10:43 mij Exp $
+
 package require port 1.0
 name		sox
Index: trunk/dports/audio/vorbis-tools/Portfile
===================================================================
--- trunk/dports/audio/vorbis-tools/Portfile	(revision 2121)
+++ trunk/dports/audio/vorbis-tools/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.5 2003/03/03 06:10:43 mij Exp $
+
 package require port 1.0
 name		vorbis-tools
Index: trunk/dports/comms/dgpsip/Portfile
===================================================================
--- trunk/dports/comms/dgpsip/Portfile	(revision 2121)
+++ trunk/dports/comms/dgpsip/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.15 2003/03/03 06:12:16 mij Exp $
+
 PortSystem 1.0
 name		dgpsip
Index: trunk/dports/comms/kermit/Portfile
===================================================================
--- trunk/dports/comms/kermit/Portfile	(revision 2121)
+++ trunk/dports/comms/kermit/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.5 2003/03/03 06:12:17 mij Exp $
+
 PortSystem 1.0
 name			kermit
Index: trunk/dports/comms/scud/Portfile
===================================================================
--- trunk/dports/comms/scud/Portfile	(revision 2121)
+++ trunk/dports/comms/scud/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.17 2003/03/03 06:12:17 mij Exp $
+
 PortSystem 1.0
 name		scud
Index: trunk/dports/databases/db4/Portfile
===================================================================
--- trunk/dports/databases/db4/Portfile	(revision 2121)
+++ trunk/dports/databases/db4/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.10 2003/03/03 06:13:24 mij Exp $
+
 PortSystem 1.0
 name		db4
Index: trunk/dports/databases/gdbm/Portfile
===================================================================
--- trunk/dports/databases/gdbm/Portfile	(revision 2121)
+++ trunk/dports/databases/gdbm/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.9 2003/03/03 06:13:24 mij Exp $
+
 PortSystem 1.0
 
Index: trunk/dports/databases/gtksql/Portfile
===================================================================
--- trunk/dports/databases/gtksql/Portfile	(revision 2121)
+++ trunk/dports/databases/gtksql/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.9 2003/03/03 06:13:24 mij Exp $
+
 PortSystem 1.0
 name		gtksql
Index: trunk/dports/databases/mysql/Portfile
===================================================================
--- trunk/dports/databases/mysql/Portfile	(revision 2121)
+++ trunk/dports/databases/mysql/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.28 2003/03/03 06:13:24 mij Exp $
+
 PortSystem 1.0
 name			mysql
Index: trunk/dports/databases/mysqltcl/Portfile
===================================================================
--- trunk/dports/databases/mysqltcl/Portfile	(revision 2121)
+++ trunk/dports/databases/mysqltcl/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.8 2003/03/03 06:13:24 mij Exp $
+
 PortSystem 1.0
 name		mysqltcl
Index: trunk/dports/databases/postgresql/Portfile
===================================================================
--- trunk/dports/databases/postgresql/Portfile	(revision 2121)
+++ trunk/dports/databases/postgresql/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.22 2003/03/03 06:13:25 mij Exp $
+
 PortSystem 1.0
 name		postgresql
Index: trunk/dports/databases/sqlite/Portfile
===================================================================
--- trunk/dports/databases/sqlite/Portfile	(revision 2121)
+++ trunk/dports/databases/sqlite/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.7 2003/03/03 06:13:25 mij Exp $
+
 PortSystem 1.0
 
Index: trunk/dports/devel/apache-ant/Portfile
===================================================================
--- trunk/dports/devel/apache-ant/Portfile	(revision 2121)
+++ trunk/dports/devel/apache-ant/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.8 2003/03/03 06:18:05 mij Exp $
+
 PortSystem 				1.0
 name					jakarta-ant
Index: trunk/dports/devel/apr/Portfile
===================================================================
--- trunk/dports/devel/apr/Portfile	(revision 2121)
+++ trunk/dports/devel/apr/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.9 2003/03/03 06:18:01 mij Exp $
+
 PortSystem 1.0
 name		apr
Index: trunk/dports/devel/atk/Portfile
===================================================================
--- trunk/dports/devel/atk/Portfile	(revision 2121)
+++ trunk/dports/devel/atk/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.7 2003/03/03 06:18:02 mij Exp $
+
 PortSystem 1.0
 name		atk
Index: trunk/dports/devel/autoconf/Portfile
===================================================================
--- trunk/dports/devel/autoconf/Portfile	(revision 2121)
+++ trunk/dports/devel/autoconf/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.2 2003/03/03 06:18:02 mij Exp $
+
 PortSystem 1.0
 name		autoconf
Index: trunk/dports/devel/ccache/Portfile
===================================================================
--- trunk/dports/devel/ccache/Portfile	(revision 2121)
+++ trunk/dports/devel/ccache/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.6 2003/03/03 06:18:02 mij Exp $
+
 PortSystem 1.0
 name		ccache
Index: trunk/dports/devel/ctags/Portfile
===================================================================
--- trunk/dports/devel/ctags/Portfile	(revision 2121)
+++ trunk/dports/devel/ctags/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.8 2003/03/03 06:18:02 mij Exp $
+
 PortSystem 1.0
 name		ctags
Index: trunk/dports/devel/cups-headers/Portfile
===================================================================
--- trunk/dports/devel/cups-headers/Portfile	(revision 2121)
+++ trunk/dports/devel/cups-headers/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.2 2003/03/03 06:18:03 mij Exp $
+
 PortSystem 1.0
 
Index: trunk/dports/devel/cvsweb/Portfile
===================================================================
--- trunk/dports/devel/cvsweb/Portfile	(revision 2121)
+++ trunk/dports/devel/cvsweb/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.7 2003/03/03 06:18:03 mij Exp $
+
 PortSystem 1.0
 name		cvsweb
Index: trunk/dports/devel/distcc/Portfile
===================================================================
--- trunk/dports/devel/distcc/Portfile	(revision 2121)
+++ trunk/dports/devel/distcc/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.2 2003/03/03 06:18:03 mij Exp $
+
 PortSystem 1.0
 name		distcc
Index: trunk/dports/devel/dlcompat/Portfile
===================================================================
--- trunk/dports/devel/dlcompat/Portfile	(revision 2121)
+++ trunk/dports/devel/dlcompat/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.17 2003/03/03 06:18:03 mij Exp $
+
 PortSystem 1.0
 name		dlcompat
Index: trunk/dports/devel/gettext/Portfile
===================================================================
--- trunk/dports/devel/gettext/Portfile	(revision 2121)
+++ trunk/dports/devel/gettext/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.14 2003/03/03 06:18:04 mij Exp $
+
 PortSystem 1.0
 name		gettext
Index: trunk/dports/devel/glib/Portfile
===================================================================
--- trunk/dports/devel/glib/Portfile	(revision 2121)
+++ trunk/dports/devel/glib/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.17 2003/03/03 06:18:04 mij Exp $
+
 PortSystem 1.0
 name		glib
Index: trunk/dports/devel/glib2/Portfile
===================================================================
--- trunk/dports/devel/glib2/Portfile	(revision 2121)
+++ trunk/dports/devel/glib2/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.9 2003/03/03 06:18:04 mij Exp $
+
 PortSystem 1.0
 name		glib2
Index: trunk/dports/devel/gmp/Portfile
===================================================================
--- trunk/dports/devel/gmp/Portfile	(revision 2121)
+++ trunk/dports/devel/gmp/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.8 2003/03/03 06:18:04 mij Exp $
+
 PortSystem 1.0
 name		gmp
Index: trunk/dports/devel/gnugetopt/Portfile
===================================================================
--- trunk/dports/devel/gnugetopt/Portfile	(revision 2121)
+++ trunk/dports/devel/gnugetopt/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.2 2003/03/03 06:18:04 mij Exp $
+
 PortSystem 1.0
 name               libgnugetopt
Index: trunk/dports/devel/jakarta-ant/Portfile
===================================================================
--- trunk/dports/devel/jakarta-ant/Portfile	(revision 2121)
+++ trunk/dports/devel/jakarta-ant/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.8 2003/03/03 06:18:05 mij Exp $
+
 PortSystem 				1.0
 name					jakarta-ant
Index: trunk/dports/devel/libcompat/Portfile
===================================================================
--- trunk/dports/devel/libcompat/Portfile	(revision 2121)
+++ trunk/dports/devel/libcompat/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.7 2003/03/03 06:18:05 mij Exp $
+
 PortSystem 1.0
 name		libcompat
Index: trunk/dports/devel/libdvdcss/Portfile
===================================================================
--- trunk/dports/devel/libdvdcss/Portfile	(revision 2121)
+++ trunk/dports/devel/libdvdcss/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.6 2003/03/03 06:18:05 mij Exp $
+
 PortSystem 1.0
 name            libdvdcss	
Index: trunk/dports/devel/libevent/Portfile
===================================================================
--- trunk/dports/devel/libevent/Portfile	(revision 2121)
+++ trunk/dports/devel/libevent/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.9 2003/03/03 06:18:05 mij Exp $
+
 PortSystem 1.0
 name		libevent
Index: trunk/dports/devel/libglade/Portfile
===================================================================
--- trunk/dports/devel/libglade/Portfile	(revision 2121)
+++ trunk/dports/devel/libglade/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.3 2003/03/03 06:18:05 mij Exp $
+
 PortSystem 1.0
 name		libglade
Index: trunk/dports/devel/netinet-headers/Portfile
===================================================================
--- trunk/dports/devel/netinet-headers/Portfile	(revision 2121)
+++ trunk/dports/devel/netinet-headers/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.9 2003/03/03 06:18:06 mij Exp $
+
 PortSystem 1.0
 
Index: trunk/dports/devel/orbit/Portfile
===================================================================
--- trunk/dports/devel/orbit/Portfile	(revision 2121)
+++ trunk/dports/devel/orbit/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.5 2003/03/03 06:18:06 mij Exp $
+
 PortSystem 1.0
 name		orbit
Index: trunk/dports/devel/otest/Portfile
===================================================================
--- trunk/dports/devel/otest/Portfile	(revision 2121)
+++ trunk/dports/devel/otest/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.6 2003/03/03 06:18:06 mij Exp $
+
 PortSystem 1.0
 name				otest
Index: trunk/dports/devel/pcre/Portfile
===================================================================
--- trunk/dports/devel/pcre/Portfile	(revision 2121)
+++ trunk/dports/devel/pcre/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.5 2003/03/03 06:18:06 mij Exp $
+
 PortSystem 1.0
 name		pcre
Index: trunk/dports/devel/perforce/Portfile
===================================================================
--- trunk/dports/devel/perforce/Portfile	(revision 2121)
+++ trunk/dports/devel/perforce/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.14 2003/03/03 06:18:07 mij Exp $
+
 PortSystem 1.0
 name		perforce
Index: trunk/dports/devel/pkgconfig/Portfile
===================================================================
--- trunk/dports/devel/pkgconfig/Portfile	(revision 2121)
+++ trunk/dports/devel/pkgconfig/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.13 2003/03/03 06:18:07 mij Exp $
+
 PortSystem 1.0
 name		pkgconfig
Index: trunk/dports/devel/poll-emulator/Portfile
===================================================================
--- trunk/dports/devel/poll-emulator/Portfile	(revision 2121)
+++ trunk/dports/devel/poll-emulator/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.4 2003/03/03 06:18:07 mij Exp $
+
 PortSystem 1.0
 name		poll-emulator
Index: trunk/dports/devel/popt/Portfile
===================================================================
--- trunk/dports/devel/popt/Portfile	(revision 2121)
+++ trunk/dports/devel/popt/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.8 2003/03/03 06:18:07 mij Exp $
+
 PortSystem 1.0
 name		popt
Index: trunk/dports/devel/pth/Portfile
===================================================================
--- trunk/dports/devel/pth/Portfile	(revision 2121)
+++ trunk/dports/devel/pth/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.5 2003/03/03 06:18:07 mij Exp $
+
 PortSystem 1.0
 name		pth
Index: trunk/dports/devel/readline/Portfile
===================================================================
--- trunk/dports/devel/readline/Portfile	(revision 2121)
+++ trunk/dports/devel/readline/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.9 2003/03/03 06:18:08 mij Exp $
+
 PortSystem 1.0
 name		readline
Index: trunk/dports/devel/ruby-cocoa/Portfile
===================================================================
--- trunk/dports/devel/ruby-cocoa/Portfile	(revision 2121)
+++ trunk/dports/devel/ruby-cocoa/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.6 2003/03/03 06:18:08 mij Exp $
+
 package require port 1.0
 
Index: trunk/dports/devel/senfoundation/Portfile
===================================================================
--- trunk/dports/devel/senfoundation/Portfile	(revision 2121)
+++ trunk/dports/devel/senfoundation/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.5 2003/03/03 06:18:08 mij Exp $
+
 PortSystem 1.0
 name					senfoundation
Index: trunk/dports/devel/sentestingkit/Portfile
===================================================================
--- trunk/dports/devel/sentestingkit/Portfile	(revision 2121)
+++ trunk/dports/devel/sentestingkit/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.6 2003/03/03 06:18:08 mij Exp $
+
 PortSystem 1.0
 name				sentestingkit
Index: trunk/dports/devel/shikenjo/Portfile
===================================================================
--- trunk/dports/devel/shikenjo/Portfile	(revision 2121)
+++ trunk/dports/devel/shikenjo/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.5 2003/03/03 06:18:08 mij Exp $
+
 PortSystem 1.0
 name				shikenjo
Index: trunk/dports/devel/subversion/Portfile
===================================================================
--- trunk/dports/devel/subversion/Portfile	(revision 2121)
+++ trunk/dports/devel/subversion/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.6 2003/03/03 06:18:09 mij Exp $
+
 package require port 1.0
 
Index: trunk/dports/devel/swig/Portfile
===================================================================
--- trunk/dports/devel/swig/Portfile	(revision 2121)
+++ trunk/dports/devel/swig/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.2 2003/03/03 06:18:09 mij Exp $
+
 PortSystem 1.0
 name		swig
Index: trunk/dports/devel/twisted/Portfile
===================================================================
--- trunk/dports/devel/twisted/Portfile	(revision 2121)
+++ trunk/dports/devel/twisted/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.9 2003/03/03 06:18:09 mij Exp $
+
 PortSystem 1.0
 name		twisted
Index: trunk/dports/devel/viewcvs/Portfile
===================================================================
--- trunk/dports/devel/viewcvs/Portfile	(revision 2121)
+++ trunk/dports/devel/viewcvs/Portfile	(revision 2122)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.7 2003/03/03 06:18:09 mij Exp $
+
 PortSystem 1.0
 name		viewcvs