Index: trunk/dports/editors/elvis/Portfile
===================================================================
--- trunk/dports/editors/elvis/Portfile	(revision 2122)
+++ trunk/dports/editors/elvis/Portfile	(revision 2123)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.2 2003/03/03 06:28:57 mij Exp $
+
 PortSystem 1.0
 name            elvis
Index: trunk/dports/editors/emacs/Portfile
===================================================================
--- trunk/dports/editors/emacs/Portfile	(revision 2122)
+++ trunk/dports/editors/emacs/Portfile	(revision 2123)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.17 2003/03/03 06:28:58 mij Exp $
+
 PortSystem 1.0
 name		emacs
Index: trunk/dports/editors/joe/Portfile
===================================================================
--- trunk/dports/editors/joe/Portfile	(revision 2122)
+++ trunk/dports/editors/joe/Portfile	(revision 2123)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.4 2003/03/03 06:28:58 mij Exp $
+
 PortSystem 1.0
 name		joe
Index: trunk/dports/editors/nano/Portfile
===================================================================
--- trunk/dports/editors/nano/Portfile	(revision 2122)
+++ trunk/dports/editors/nano/Portfile	(revision 2123)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.11 2003/03/03 06:28:58 mij Exp $
+
 PortSystem 1.0
 name		nano
Index: trunk/dports/editors/vim/Portfile
===================================================================
--- trunk/dports/editors/vim/Portfile	(revision 2122)
+++ trunk/dports/editors/vim/Portfile	(revision 2123)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.32 2003/03/03 06:28:59 mij Exp $
+
 PortSystem 1.0
 name			vim
Index: trunk/dports/editors/xemacs/Portfile
===================================================================
--- trunk/dports/editors/xemacs/Portfile	(revision 2122)
+++ trunk/dports/editors/xemacs/Portfile	(revision 2123)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.2 2003/03/03 06:28:59 mij Exp $
+
 PortSystem 1.0
 name		xemacs
Index: trunk/dports/emulators/bochs/Portfile
===================================================================
--- trunk/dports/emulators/bochs/Portfile	(revision 2122)
+++ trunk/dports/emulators/bochs/Portfile	(revision 2123)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.9 2003/03/03 06:29:42 mij Exp $
+
 PortSystem 1.0
 name		bochs
Index: trunk/dports/games/dopewars/Portfile
===================================================================
--- trunk/dports/games/dopewars/Portfile	(revision 2122)
+++ trunk/dports/games/dopewars/Portfile	(revision 2123)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.7 2003/03/03 06:31:20 mij Exp $
+
 PortSystem 1.0
 name		dopewars
Index: trunk/dports/games/fortune/Portfile
===================================================================
--- trunk/dports/games/fortune/Portfile	(revision 2122)
+++ trunk/dports/games/fortune/Portfile	(revision 2123)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.11 2003/03/03 06:31:21 mij Exp $
+
 PortSystem 1.0
 name		fortune
Index: trunk/dports/games/freeciv/Portfile
===================================================================
--- trunk/dports/games/freeciv/Portfile	(revision 2122)
+++ trunk/dports/games/freeciv/Portfile	(revision 2123)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.3 2003/03/03 06:31:21 mij Exp $
+
 PortSystem 1.0
 
Index: trunk/dports/games/larn/Portfile
===================================================================
--- trunk/dports/games/larn/Portfile	(revision 2122)
+++ trunk/dports/games/larn/Portfile	(revision 2123)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.7 2003/03/03 06:31:21 mij Exp $
+
 PortSystem 1.0
 name		larn
Index: trunk/dports/games/nethack/Portfile
===================================================================
--- trunk/dports/games/nethack/Portfile	(revision 2122)
+++ trunk/dports/games/nethack/Portfile	(revision 2123)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.15 2003/03/03 06:31:21 mij Exp $
+
 PortSystem 1.0
 name		nethack
Index: trunk/dports/games/netris/Portfile
===================================================================
--- trunk/dports/games/netris/Portfile	(revision 2122)
+++ trunk/dports/games/netris/Portfile	(revision 2123)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.7 2003/03/03 06:31:21 mij Exp $
+
 PortSystem 1.0
 name		netris
Index: trunk/dports/games/othello/Portfile
===================================================================
--- trunk/dports/games/othello/Portfile	(revision 2122)
+++ trunk/dports/games/othello/Portfile	(revision 2123)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.5 2003/03/03 06:31:22 mij Exp $
+
 PortSystem 1.0
 name		othello
Index: trunk/dports/games/qthello/Portfile
===================================================================
--- trunk/dports/games/qthello/Portfile	(revision 2122)
+++ trunk/dports/games/qthello/Portfile	(revision 2123)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.3 2003/03/03 06:31:22 mij Exp $
+
 PortSystem 1.0
 name			qthello
Index: trunk/dports/games/wtf/Portfile
===================================================================
--- trunk/dports/games/wtf/Portfile	(revision 2122)
+++ trunk/dports/games/wtf/Portfile	(revision 2123)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.5 2003/03/03 06:31:22 mij Exp $
+
 PortSystem 1.0
 name		wtf
Index: trunk/dports/games/wump/Portfile
===================================================================
--- trunk/dports/games/wump/Portfile	(revision 2122)
+++ trunk/dports/games/wump/Portfile	(revision 2123)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.8 2003/03/03 06:31:22 mij Exp $
+
 PortSystem 1.0
 name		wump
Index: trunk/dports/games/xboard/Portfile
===================================================================
--- trunk/dports/games/xboard/Portfile	(revision 2122)
+++ trunk/dports/games/xboard/Portfile	(revision 2123)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.2 2003/03/03 06:31:23 mij Exp $
+
 PortSystem 1.0
 name		xboard
Index: trunk/dports/games/xracer/Portfile
===================================================================
--- trunk/dports/games/xracer/Portfile	(revision 2122)
+++ trunk/dports/games/xracer/Portfile	(revision 2123)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.8 2003/03/03 06:31:23 mij Exp $
+
 PortSystem 1.0
 
Index: trunk/dports/games/xscorch/Portfile
===================================================================
--- trunk/dports/games/xscorch/Portfile	(revision 2122)
+++ trunk/dports/games/xscorch/Portfile	(revision 2123)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.4 2003/03/03 06:31:23 mij Exp $
+
 PortSystem 1.0
 name		xscorch