Index: trunk/dports/graphics/gd/Portfile
===================================================================
--- trunk/dports/graphics/gd/Portfile	(revision 2123)
+++ trunk/dports/graphics/gd/Portfile	(revision 2125)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.11 2003/03/03 06:53:19 mij Exp $
+
 PortSystem 1.0
 name		gd
Index: trunk/dports/graphics/gdk-pixbuf/Portfile
===================================================================
--- trunk/dports/graphics/gdk-pixbuf/Portfile	(revision 2123)
+++ trunk/dports/graphics/gdk-pixbuf/Portfile	(revision 2125)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.4 2003/03/03 06:53:20 mij Exp $
+
 PortSystem 1.0
 name		gdk-pixbuf
Index: trunk/dports/graphics/gimp/Portfile
===================================================================
--- trunk/dports/graphics/gimp/Portfile	(revision 2123)
+++ trunk/dports/graphics/gimp/Portfile	(revision 2125)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.12 2003/03/03 06:53:20 mij Exp $
+
 PortSystem 1.0
 name		gimp
Index: trunk/dports/graphics/glut/Portfile
===================================================================
--- trunk/dports/graphics/glut/Portfile	(revision 2123)
+++ trunk/dports/graphics/glut/Portfile	(revision 2125)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.10 2003/03/03 06:53:20 mij Exp $
+
 PortSystem 1.0
 
Index: trunk/dports/graphics/graphviz/Portfile
===================================================================
--- trunk/dports/graphics/graphviz/Portfile	(revision 2123)
+++ trunk/dports/graphics/graphviz/Portfile	(revision 2125)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.5 2003/03/03 06:53:21 mij Exp $
+
 PortSystem 1.0
 name		graphviz
Index: trunk/dports/graphics/imlib/Portfile
===================================================================
--- trunk/dports/graphics/imlib/Portfile	(revision 2123)
+++ trunk/dports/graphics/imlib/Portfile	(revision 2125)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.7 2003/03/03 06:53:21 mij Exp $
+
 PortSystem 1.0
 name		imlib
Index: trunk/dports/graphics/jpeg/Portfile
===================================================================
--- trunk/dports/graphics/jpeg/Portfile	(revision 2123)
+++ trunk/dports/graphics/jpeg/Portfile	(revision 2125)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.18 2003/03/03 06:53:21 mij Exp $
+
 PortSystem 1.0
 name		jpeg
Index: trunk/dports/graphics/lcms/Portfile
===================================================================
--- trunk/dports/graphics/lcms/Portfile	(revision 2123)
+++ trunk/dports/graphics/lcms/Portfile	(revision 2125)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.5 2003/03/03 06:53:21 mij Exp $
+
 PortSystem 1.0
 name		lcms
Index: trunk/dports/graphics/libart_lgpl/Portfile
===================================================================
--- trunk/dports/graphics/libart_lgpl/Portfile	(revision 2123)
+++ trunk/dports/graphics/libart_lgpl/Portfile	(revision 2125)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.2 2003/03/03 06:53:21 mij Exp $
+
 PortSystem 1.0
 name		libart_lgpl
Index: trunk/dports/graphics/libmng/Portfile
===================================================================
--- trunk/dports/graphics/libmng/Portfile	(revision 2123)
+++ trunk/dports/graphics/libmng/Portfile	(revision 2125)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.3 2003/03/03 06:53:22 mij Exp $
+
 PortSystem 1.0
 name		libmng
Index: trunk/dports/graphics/libmpeg2/Portfile
===================================================================
--- trunk/dports/graphics/libmpeg2/Portfile	(revision 2123)
+++ trunk/dports/graphics/libmpeg2/Portfile	(revision 2125)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.2 2003/03/03 06:53:22 mij Exp $
+
 PortSystem 1.0
 name			libmpeg2
Index: trunk/dports/graphics/libpng/Portfile
===================================================================
--- trunk/dports/graphics/libpng/Portfile	(revision 2123)
+++ trunk/dports/graphics/libpng/Portfile	(revision 2125)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.18 2003/03/03 06:53:22 mij Exp $
+
 PortSystem 1.0
 name		libpng
Index: trunk/dports/graphics/libsdl/Portfile
===================================================================
--- trunk/dports/graphics/libsdl/Portfile	(revision 2123)
+++ trunk/dports/graphics/libsdl/Portfile	(revision 2125)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.13 2003/03/03 06:53:22 mij Exp $
+
 PortSystem 1.0
 name		libsdl
Index: trunk/dports/graphics/libsdl_image/Portfile
===================================================================
--- trunk/dports/graphics/libsdl_image/Portfile	(revision 2123)
+++ trunk/dports/graphics/libsdl_image/Portfile	(revision 2125)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.19 2003/03/03 06:53:22 mij Exp $
+
 PortSystem 1.0
 name		libsdl_image
Index: trunk/dports/graphics/libungif/Portfile
===================================================================
--- trunk/dports/graphics/libungif/Portfile	(revision 2123)
+++ trunk/dports/graphics/libungif/Portfile	(revision 2125)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.11 2003/03/03 06:53:23 mij Exp $
+
 PortSystem 1.0
 name		libungif
Index: trunk/dports/graphics/pict2pdf/Portfile
===================================================================
--- trunk/dports/graphics/pict2pdf/Portfile	(revision 2123)
+++ trunk/dports/graphics/pict2pdf/Portfile	(revision 2125)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.4 2003/03/03 06:53:23 mij Exp $
+
 PortSystem 1.0
 name		pict2pdf
Index: trunk/dports/graphics/pngcrush/Portfile
===================================================================
--- trunk/dports/graphics/pngcrush/Portfile	(revision 2123)
+++ trunk/dports/graphics/pngcrush/Portfile	(revision 2125)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.6 2003/03/03 06:53:23 mij Exp $
+
 PortSystem 1.0
 name	        pngcrush	
Index: trunk/dports/graphics/tgif/Portfile
===================================================================
--- trunk/dports/graphics/tgif/Portfile	(revision 2123)
+++ trunk/dports/graphics/tgif/Portfile	(revision 2125)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.2 2003/03/03 06:53:23 mij Exp $
+
 PortSystem 1.0
 name		tgif
Index: trunk/dports/graphics/tiff/Portfile
===================================================================
--- trunk/dports/graphics/tiff/Portfile	(revision 2123)
+++ trunk/dports/graphics/tiff/Portfile	(revision 2125)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.7 2003/03/03 06:53:24 mij Exp $
+
 PortSystem 1.0
 name		tiff
Index: trunk/dports/irc/bitchx/Portfile
===================================================================
--- trunk/dports/irc/bitchx/Portfile	(revision 2123)
+++ trunk/dports/irc/bitchx/Portfile	(revision 2125)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.5 2003/03/03 06:55:18 mij Exp $
+
 PortSystem 1.0
 name		bitchx
Index: trunk/dports/irc/epic/Portfile
===================================================================
--- trunk/dports/irc/epic/Portfile	(revision 2123)
+++ trunk/dports/irc/epic/Portfile	(revision 2125)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.16 2003/03/03 06:55:18 mij Exp $
+
 PortSystem 1.0
 name		epic
Index: trunk/dports/irc/infobot/Portfile
===================================================================
--- trunk/dports/irc/infobot/Portfile	(revision 2123)
+++ trunk/dports/irc/infobot/Portfile	(revision 2125)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.16 2003/03/03 06:55:19 mij Exp $
+
 PortSystem 1.0
 name		infobot
Index: trunk/dports/irc/ircii/Portfile
===================================================================
--- trunk/dports/irc/ircii/Portfile	(revision 2123)
+++ trunk/dports/irc/ircii/Portfile	(revision 2125)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.8 2003/03/03 06:55:19 mij Exp $
+
 PortSystem 1.0
 name	ircii
Index: trunk/dports/irc/irssi/Portfile
===================================================================
--- trunk/dports/irc/irssi/Portfile	(revision 2123)
+++ trunk/dports/irc/irssi/Portfile	(revision 2125)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.9 2003/03/03 06:55:19 mij Exp $
+
 PortSystem 1.0
 name		irssi
Index: trunk/dports/irc/shadowirc/Portfile
===================================================================
--- trunk/dports/irc/shadowirc/Portfile	(revision 2123)
+++ trunk/dports/irc/shadowirc/Portfile	(revision 2125)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.8 2003/03/03 06:55:19 mij Exp $
+
 PortSystem 1.0
 name		shadowirc
Index: trunk/dports/irc/thirdeye/Portfile
===================================================================
--- trunk/dports/irc/thirdeye/Portfile	(revision 2123)
+++ trunk/dports/irc/thirdeye/Portfile	(revision 2125)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.5 2003/03/03 06:55:20 mij Exp $
+
 PortSystem 1.0
 name		thirdeye
Index: trunk/dports/irc/tkirc/Portfile
===================================================================
--- trunk/dports/irc/tkirc/Portfile	(revision 2123)
+++ trunk/dports/irc/tkirc/Portfile	(revision 2125)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.4 2003/03/03 06:55:20 mij Exp $
+
 PortSystem 1.0
 name		tkirc
Index: trunk/dports/irc/xchat/Portfile
===================================================================
--- trunk/dports/irc/xchat/Portfile	(revision 2123)
+++ trunk/dports/irc/xchat/Portfile	(revision 2125)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.11 2003/03/03 06:55:20 mij Exp $
+
 PortSystem 1.0
 name		xchat
Index: trunk/dports/irc/xchat2/Portfile
===================================================================
--- trunk/dports/irc/xchat2/Portfile	(revision 2123)
+++ trunk/dports/irc/xchat2/Portfile	(revision 2125)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.8 2003/03/03 06:55:21 mij Exp $
+
 PortSystem 1.0
 name		xchat2
Index: trunk/dports/lang/g77/Portfile
===================================================================
--- trunk/dports/lang/g77/Portfile	(revision 2123)
+++ trunk/dports/lang/g77/Portfile	(revision 2125)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.8 2003/03/03 06:57:41 mij Exp $
+
 PortSystem 1.0
 
Index: trunk/dports/lang/gawk/Portfile
===================================================================
--- trunk/dports/lang/gawk/Portfile	(revision 2123)
+++ trunk/dports/lang/gawk/Portfile	(revision 2125)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.3 2003/03/03 06:57:41 mij Exp $
+
 PortSystem 1.0
 name		     gawk
Index: trunk/dports/lang/nqc/Portfile
===================================================================
--- trunk/dports/lang/nqc/Portfile	(revision 2123)
+++ trunk/dports/lang/nqc/Portfile	(revision 2125)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.8 2003/03/03 06:57:42 mij Exp $
+
 PortSystem 1.0
 name		nqc
Index: trunk/dports/lang/ocaml/Portfile
===================================================================
--- trunk/dports/lang/ocaml/Portfile	(revision 2123)
+++ trunk/dports/lang/ocaml/Portfile	(revision 2125)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.4 2003/03/03 06:57:42 mij Exp $
+
 PortSystem 1.0
 name		ocaml
Index: trunk/dports/lang/perl5.8/Portfile
===================================================================
--- trunk/dports/lang/perl5.8/Portfile	(revision 2123)
+++ trunk/dports/lang/perl5.8/Portfile	(revision 2125)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.17 2003/03/03 06:57:42 mij Exp $
+
 PortSystem 1.0
 name                       perl5.8
Index: trunk/dports/lang/python/Portfile
===================================================================
--- trunk/dports/lang/python/Portfile	(revision 2123)
+++ trunk/dports/lang/python/Portfile	(revision 2125)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.7 2003/03/03 06:57:43 mij Exp $
+
 PortSystem 1.0
 name		python
Index: trunk/dports/lang/ruby/Portfile
===================================================================
--- trunk/dports/lang/ruby/Portfile	(revision 2123)
+++ trunk/dports/lang/ruby/Portfile	(revision 2125)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.8 2003/03/03 06:57:43 mij Exp $
+
 PortSystem 1.0
 name		ruby
Index: trunk/dports/lang/slang/Portfile
===================================================================
--- trunk/dports/lang/slang/Portfile	(revision 2123)
+++ trunk/dports/lang/slang/Portfile	(revision 2125)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.6 2003/03/03 06:57:44 mij Exp $
+
 PortSystem 1.0
 name		slang
Index: trunk/dports/lang/tcl/Portfile
===================================================================
--- trunk/dports/lang/tcl/Portfile	(revision 2123)
+++ trunk/dports/lang/tcl/Portfile	(revision 2125)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.3 2003/03/03 06:57:44 mij Exp $
+
 PortSystem 1.0
 name			tcl
Index: trunk/dports/mail/abook/Portfile
===================================================================
--- trunk/dports/mail/abook/Portfile	(revision 2123)
+++ trunk/dports/mail/abook/Portfile	(revision 2125)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.7 2003/03/03 06:59:13 mij Exp $
+
 PortSystem 1.0
 name		abook 
Index: trunk/dports/mail/exim/Portfile
===================================================================
--- trunk/dports/mail/exim/Portfile	(revision 2123)
+++ trunk/dports/mail/exim/Portfile	(revision 2125)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.7 2003/03/03 06:59:13 mij Exp $
+
 PortSystem 1.0
 name            exim
Index: trunk/dports/mail/imap-uw/Portfile
===================================================================
--- trunk/dports/mail/imap-uw/Portfile	(revision 2123)
+++ trunk/dports/mail/imap-uw/Portfile	(revision 2125)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.2 2003/03/03 06:59:14 mij Exp $
+
 PortSystem 1.0
 name		imap-uw
Index: trunk/dports/mail/mutt/Portfile
===================================================================
--- trunk/dports/mail/mutt/Portfile	(revision 2123)
+++ trunk/dports/mail/mutt/Portfile	(revision 2125)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.20 2003/03/03 06:59:14 mij Exp $
+
 PortSystem 1.0
 name		mutt
Index: trunk/dports/mail/newmail/Portfile
===================================================================
--- trunk/dports/mail/newmail/Portfile	(revision 2123)
+++ trunk/dports/mail/newmail/Portfile	(revision 2125)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.3 2003/03/03 06:59:14 mij Exp $
+
 PortSystem 1.0
 name		newmail
Index: trunk/dports/mail/pine/Portfile
===================================================================
--- trunk/dports/mail/pine/Portfile	(revision 2123)
+++ trunk/dports/mail/pine/Portfile	(revision 2125)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.6 2003/03/03 06:59:15 mij Exp $
+
 PortSystem         1.0
 name               pine
Index: trunk/dports/mail/postfix/Portfile
===================================================================
--- trunk/dports/mail/postfix/Portfile	(revision 2123)
+++ trunk/dports/mail/postfix/Portfile	(revision 2125)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.9 2003/03/03 06:59:15 mij Exp $
+
 PortSystem 1.0
 name		postfix
Index: trunk/dports/mail/spamprobe/Portfile
===================================================================
--- trunk/dports/mail/spamprobe/Portfile	(revision 2123)
+++ trunk/dports/mail/spamprobe/Portfile	(revision 2125)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.6 2003/03/03 06:59:16 mij Exp $
+
 PortSystem 1.0
 name		spamprobe
Index: trunk/dports/mail/ssmtp/Portfile
===================================================================
--- trunk/dports/mail/ssmtp/Portfile	(revision 2123)
+++ trunk/dports/mail/ssmtp/Portfile	(revision 2125)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.15 2003/03/03 06:59:16 mij Exp $
+
 PortSystem 1.0
 name		ssmtp
Index: trunk/dports/mail/sylpheed/Portfile
===================================================================
--- trunk/dports/mail/sylpheed/Portfile	(revision 2123)
+++ trunk/dports/mail/sylpheed/Portfile	(revision 2125)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.2 2003/03/03 06:59:17 mij Exp $
+
 PortSystem 1.0
 name		sylpheed
Index: trunk/dports/math/fftw/Portfile
===================================================================
--- trunk/dports/math/fftw/Portfile	(revision 2123)
+++ trunk/dports/math/fftw/Portfile	(revision 2125)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.6 2003/03/03 07:01:05 mij Exp $
+
 PortSystem 1.0
 name		fftw
Index: trunk/dports/math/gnuplot/Portfile
===================================================================
--- trunk/dports/math/gnuplot/Portfile	(revision 2123)
+++ trunk/dports/math/gnuplot/Portfile	(revision 2125)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.4 2003/03/03 07:01:05 mij Exp $
+
 PortSystem 1.0
 name		gnuplot