Index: trunk/dports/textproc/gsed/Portfile
===================================================================
--- trunk/dports/textproc/gsed/Portfile	(revision 2127)
+++ trunk/dports/textproc/gsed/Portfile	(revision 2128)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.5 2003/03/03 07:26:00 mij Exp $
+
 PortSystem 1.0
 name		sed
Index: trunk/dports/textproc/htmldoc/Portfile
===================================================================
--- trunk/dports/textproc/htmldoc/Portfile	(revision 2127)
+++ trunk/dports/textproc/htmldoc/Portfile	(revision 2128)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.3 2003/03/03 07:26:00 mij Exp $
+
 PortSystem 1.0
 name		htmldoc
Index: trunk/dports/textproc/iso8879/Portfile
===================================================================
--- trunk/dports/textproc/iso8879/Portfile	(revision 2127)
+++ trunk/dports/textproc/iso8879/Portfile	(revision 2128)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.2 2003/03/03 07:26:00 mij Exp $
+
 PortSystem 1.0
 name		iso8879
Index: trunk/dports/textproc/ispell/Portfile
===================================================================
--- trunk/dports/textproc/ispell/Portfile	(revision 2127)
+++ trunk/dports/textproc/ispell/Portfile	(revision 2128)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.9 2003/03/03 07:26:01 mij Exp $
+
 PortSystem 1.0
 name			ispell
Index: trunk/dports/textproc/jive/Portfile
===================================================================
--- trunk/dports/textproc/jive/Portfile	(revision 2127)
+++ trunk/dports/textproc/jive/Portfile	(revision 2128)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.3 2003/03/03 07:26:01 mij Exp $
+
 PortSystem 1.0
 name		jive
Index: trunk/dports/textproc/libiconv/Portfile
===================================================================
--- trunk/dports/textproc/libiconv/Portfile	(revision 2127)
+++ trunk/dports/textproc/libiconv/Portfile	(revision 2128)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.17 2003/03/03 07:26:01 mij Exp $
+
 PortSystem 1.0
 name		libiconv
Index: trunk/dports/textproc/libxml/Portfile
===================================================================
--- trunk/dports/textproc/libxml/Portfile	(revision 2127)
+++ trunk/dports/textproc/libxml/Portfile	(revision 2128)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.9 2003/03/03 07:26:02 mij Exp $
+
 PortSystem 1.0
 name		libxml
Index: trunk/dports/textproc/libxml2/Portfile
===================================================================
--- trunk/dports/textproc/libxml2/Portfile	(revision 2127)
+++ trunk/dports/textproc/libxml2/Portfile	(revision 2128)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.8 2003/03/03 07:26:02 mij Exp $
+
 PortSystem 	1.0
 
Index: trunk/dports/textproc/libxslt/Portfile
===================================================================
--- trunk/dports/textproc/libxslt/Portfile	(revision 2127)
+++ trunk/dports/textproc/libxslt/Portfile	(revision 2128)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.8 2003/03/03 07:26:02 mij Exp $
+
 PortSystem 	1.0
 
Index: trunk/dports/textproc/linuxdoc/Portfile
===================================================================
--- trunk/dports/textproc/linuxdoc/Portfile	(revision 2127)
+++ trunk/dports/textproc/linuxdoc/Portfile	(revision 2128)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.2 2003/03/03 07:26:02 mij Exp $
+
 PortSystem 1.0
 name		linuxdoc
Index: trunk/dports/textproc/man2html/Portfile
===================================================================
--- trunk/dports/textproc/man2html/Portfile	(revision 2127)
+++ trunk/dports/textproc/man2html/Portfile	(revision 2128)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.4 2003/03/03 07:26:03 mij Exp $
+
 PortSystem 1.0
 name		man2html
Index: trunk/dports/textproc/mkcatalog/Portfile
===================================================================
--- trunk/dports/textproc/mkcatalog/Portfile	(revision 2127)
+++ trunk/dports/textproc/mkcatalog/Portfile	(revision 2128)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.2 2003/03/03 07:26:03 mij Exp $
+
 PortSystem 1.0
 name		mkcatalog
Index: trunk/dports/textproc/mmencode/Portfile
===================================================================
--- trunk/dports/textproc/mmencode/Portfile	(revision 2127)
+++ trunk/dports/textproc/mmencode/Portfile	(revision 2128)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.4 2003/03/03 07:26:03 mij Exp $
+
 PortSystem 1.0
 name		mmencode
Index: trunk/dports/textproc/openjade/Portfile
===================================================================
--- trunk/dports/textproc/openjade/Portfile	(revision 2127)
+++ trunk/dports/textproc/openjade/Portfile	(revision 2128)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.11 2003/03/03 07:26:03 mij Exp $
+
 PortSystem 1.0
 name		openjade
Index: trunk/dports/textproc/opensp/Portfile
===================================================================
--- trunk/dports/textproc/opensp/Portfile	(revision 2127)
+++ trunk/dports/textproc/opensp/Portfile	(revision 2128)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.2 2003/03/03 07:26:04 mij Exp $
+
 PortSystem 1.0
 name		opensp
Index: trunk/dports/textproc/rman/Portfile
===================================================================
--- trunk/dports/textproc/rman/Portfile	(revision 2127)
+++ trunk/dports/textproc/rman/Portfile	(revision 2128)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.5 2003/03/03 07:26:04 mij Exp $
+
 PortSystem 1.0
 name		rman
Index: trunk/dports/textproc/rtfreader/Portfile
===================================================================
--- trunk/dports/textproc/rtfreader/Portfile	(revision 2127)
+++ trunk/dports/textproc/rtfreader/Portfile	(revision 2128)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.4 2003/03/03 07:26:04 mij Exp $
+
 PortSystem 1.0
 name		rtfreader
Index: trunk/dports/textproc/tkman/Portfile
===================================================================
--- trunk/dports/textproc/tkman/Portfile	(revision 2127)
+++ trunk/dports/textproc/tkman/Portfile	(revision 2128)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.3 2003/03/03 07:26:05 mij Exp $
+
 PortSystem 1.0
 name		tkman
Index: trunk/dports/textproc/tnef2txt/Portfile
===================================================================
--- trunk/dports/textproc/tnef2txt/Portfile	(revision 2127)
+++ trunk/dports/textproc/tnef2txt/Portfile	(revision 2128)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.4 2003/03/03 07:26:05 mij Exp $
+
 PortSystem 1.0
 name		tnef2txt
Index: trunk/dports/textproc/tth/Portfile
===================================================================
--- trunk/dports/textproc/tth/Portfile	(revision 2127)
+++ trunk/dports/textproc/tth/Portfile	(revision 2128)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.5 2003/03/03 07:26:06 mij Exp $
+
 PortSystem 1.0
 name		tth
Index: trunk/dports/textproc/txt2html/Portfile
===================================================================
--- trunk/dports/textproc/txt2html/Portfile	(revision 2127)
+++ trunk/dports/textproc/txt2html/Portfile	(revision 2128)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.3 2003/03/03 07:26:06 mij Exp $
+
 PortSystem 1.0
 name		txt2html
Index: trunk/dports/www/apache/Portfile
===================================================================
--- trunk/dports/www/apache/Portfile	(revision 2127)
+++ trunk/dports/www/apache/Portfile	(revision 2128)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.21 2003/03/03 07:25:26 mij Exp $
+
 PortSystem 1.0
 name                apache
Index: trunk/dports/www/cadaver/Portfile
===================================================================
--- trunk/dports/www/cadaver/Portfile	(revision 2127)
+++ trunk/dports/www/cadaver/Portfile	(revision 2128)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.2 2003/03/03 07:25:26 mij Exp $
+
 PortSystem 1.0
 name		cadaver
Index: trunk/dports/www/libapreq-perl/Portfile
===================================================================
--- trunk/dports/www/libapreq-perl/Portfile	(revision 2127)
+++ trunk/dports/www/libapreq-perl/Portfile	(revision 2128)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.3 2003/03/03 07:25:27 mij Exp $
+
 PortSystem 1.0
 
Index: trunk/dports/www/libapreq/Portfile
===================================================================
--- trunk/dports/www/libapreq/Portfile	(revision 2127)
+++ trunk/dports/www/libapreq/Portfile	(revision 2128)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.4 2003/03/03 07:25:26 mij Exp $
+
 PortSystem 1.0
 
Index: trunk/dports/www/libwww/Portfile
===================================================================
--- trunk/dports/www/libwww/Portfile	(revision 2127)
+++ trunk/dports/www/libwww/Portfile	(revision 2128)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.10 2003/03/03 07:25:27 mij Exp $
+
 PortSystem 1.0
 name			libwww
Index: trunk/dports/www/links/Portfile
===================================================================
--- trunk/dports/www/links/Portfile	(revision 2127)
+++ trunk/dports/www/links/Portfile	(revision 2128)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.10 2003/03/03 07:25:27 mij Exp $
+
 PortSystem 1.0
 name		links
Index: trunk/dports/www/lynx/Portfile
===================================================================
--- trunk/dports/www/lynx/Portfile	(revision 2127)
+++ trunk/dports/www/lynx/Portfile	(revision 2128)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.5 2003/03/03 07:25:27 mij Exp $
+
 PortSystem 1.0
 name		lynx
Index: trunk/dports/www/neon/Portfile
===================================================================
--- trunk/dports/www/neon/Portfile	(revision 2127)
+++ trunk/dports/www/neon/Portfile	(revision 2128)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.9 2003/03/03 07:25:27 mij Exp $
+
 PortSystem 1.0
 name		neon
Index: trunk/dports/www/tidy/Portfile
===================================================================
--- trunk/dports/www/tidy/Portfile	(revision 2127)
+++ trunk/dports/www/tidy/Portfile	(revision 2128)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.2 2003/03/03 07:25:28 mij Exp $
+
 PortSystem 1.0
 name		tidy
Index: trunk/dports/www/urlview/Portfile
===================================================================
--- trunk/dports/www/urlview/Portfile	(revision 2127)
+++ trunk/dports/www/urlview/Portfile	(revision 2128)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.4 2003/03/03 07:25:28 mij Exp $
+
 PortSystem 1.0
 name		urlview
Index: trunk/dports/www/w3m/Portfile
===================================================================
--- trunk/dports/www/w3m/Portfile	(revision 2127)
+++ trunk/dports/www/w3m/Portfile	(revision 2128)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.9 2003/03/03 07:25:28 mij Exp $
+
 PortSystem 1.0
 name				w3m
Index: trunk/dports/www/wml/Portfile
===================================================================
--- trunk/dports/www/wml/Portfile	(revision 2127)
+++ trunk/dports/www/wml/Portfile	(revision 2128)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.4 2003/03/03 07:25:28 mij Exp $
+
 PortSystem 1.0
 name			wml