Index: trunk/dports/x11/XFree86/Portfile
===================================================================
--- trunk/dports/x11/XFree86/Portfile	(revision 2128)
+++ trunk/dports/x11/XFree86/Portfile	(revision 2129)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.35 2003/03/03 07:31:47 mij Exp $
+
 PortSystem 1.0
 name		XFree86
Index: trunk/dports/x11/aterm/Portfile
===================================================================
--- trunk/dports/x11/aterm/Portfile	(revision 2128)
+++ trunk/dports/x11/aterm/Portfile	(revision 2129)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.4 2003/03/03 07:31:47 mij Exp $
+
 PortSystem 1.0
 name		aterm
Index: trunk/dports/x11/fluxbox/Portfile
===================================================================
--- trunk/dports/x11/fluxbox/Portfile	(revision 2128)
+++ trunk/dports/x11/fluxbox/Portfile	(revision 2129)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.10 2003/03/03 07:31:48 mij Exp $
+
 PortSystem 1.0
 name		fluxbox
Index: trunk/dports/x11/fvwm/Portfile
===================================================================
--- trunk/dports/x11/fvwm/Portfile	(revision 2128)
+++ trunk/dports/x11/fvwm/Portfile	(revision 2129)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.6 2003/03/03 07:31:48 mij Exp $
+
 PortSystem 1.0
 name		fvwm
Index: trunk/dports/x11/gtk-engines/Portfile
===================================================================
--- trunk/dports/x11/gtk-engines/Portfile	(revision 2128)
+++ trunk/dports/x11/gtk-engines/Portfile	(revision 2129)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.4 2003/03/03 07:31:48 mij Exp $
+
 PortSystem 1.0
 name		gtk-engines
Index: trunk/dports/x11/gtk-engines2/Portfile
===================================================================
--- trunk/dports/x11/gtk-engines2/Portfile	(revision 2128)
+++ trunk/dports/x11/gtk-engines2/Portfile	(revision 2129)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.5 2003/03/03 07:31:48 mij Exp $
+
 PortSystem 1.0
 name		gtk-engines2
Index: trunk/dports/x11/gtk/Portfile
===================================================================
--- trunk/dports/x11/gtk/Portfile	(revision 2128)
+++ trunk/dports/x11/gtk/Portfile	(revision 2129)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.21 2003/03/03 07:31:48 mij Exp $
+
 PortSystem 1.0
 name		gtk
Index: trunk/dports/x11/gtk2/Portfile
===================================================================
--- trunk/dports/x11/gtk2/Portfile	(revision 2128)
+++ trunk/dports/x11/gtk2/Portfile	(revision 2129)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.7 2003/03/03 07:31:49 mij Exp $
+
 PortSystem 1.0
 name		gtk2
Index: trunk/dports/x11/kdeartwork3/Portfile
===================================================================
--- trunk/dports/x11/kdeartwork3/Portfile	(revision 2128)
+++ trunk/dports/x11/kdeartwork3/Portfile	(revision 2129)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.2 2003/03/03 07:31:49 mij Exp $
+
 PortSystem 1.0
 name		kdeartwork3
Index: trunk/dports/x11/kdebase3/Portfile
===================================================================
--- trunk/dports/x11/kdebase3/Portfile	(revision 2128)
+++ trunk/dports/x11/kdebase3/Portfile	(revision 2129)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.3 2003/03/03 07:31:49 mij Exp $
+
 PortSystem 1.0
 name		kdebase3
Index: trunk/dports/x11/kdeedu3/Portfile
===================================================================
--- trunk/dports/x11/kdeedu3/Portfile	(revision 2128)
+++ trunk/dports/x11/kdeedu3/Portfile	(revision 2129)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.2 2003/03/03 07:31:49 mij Exp $
+
 PortSystem 1.0
 name		kdeedu3
Index: trunk/dports/x11/kdegames3/Portfile
===================================================================
--- trunk/dports/x11/kdegames3/Portfile	(revision 2128)
+++ trunk/dports/x11/kdegames3/Portfile	(revision 2129)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.2 2003/03/03 07:31:49 mij Exp $
+
 PortSystem 1.0
 name		kdegames3
Index: trunk/dports/x11/kdegraphics3/Portfile
===================================================================
--- trunk/dports/x11/kdegraphics3/Portfile	(revision 2128)
+++ trunk/dports/x11/kdegraphics3/Portfile	(revision 2129)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.2 2003/03/03 07:31:50 mij Exp $
+
 PortSystem 1.0
 name		kdegraphics3
Index: trunk/dports/x11/kdelibs3/Portfile
===================================================================
--- trunk/dports/x11/kdelibs3/Portfile	(revision 2128)
+++ trunk/dports/x11/kdelibs3/Portfile	(revision 2129)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.2 2003/03/03 07:31:50 mij Exp $
+
 PortSystem 1.0
 name		kdelibs3
Index: trunk/dports/x11/kdenework3/Portfile
===================================================================
--- trunk/dports/x11/kdenework3/Portfile	(revision 2128)
+++ trunk/dports/x11/kdenework3/Portfile	(revision 2129)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.2 2003/03/03 07:31:50 mij Exp $
+
 PortSystem 1.0
 name		kdenetwork3
Index: trunk/dports/x11/kdepim3/Portfile
===================================================================
--- trunk/dports/x11/kdepim3/Portfile	(revision 2128)
+++ trunk/dports/x11/kdepim3/Portfile	(revision 2129)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.3 2003/03/03 07:31:50 mij Exp $
+
 PortSystem 1.0
 name		kdepim3
Index: trunk/dports/x11/kdesdk3/Portfile
===================================================================
--- trunk/dports/x11/kdesdk3/Portfile	(revision 2128)
+++ trunk/dports/x11/kdesdk3/Portfile	(revision 2129)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.2 2003/03/03 07:31:50 mij Exp $
+
 PortSystem 1.0
 name		kdesdk3
Index: trunk/dports/x11/kdetoys3/Portfile
===================================================================
--- trunk/dports/x11/kdetoys3/Portfile	(revision 2128)
+++ trunk/dports/x11/kdetoys3/Portfile	(revision 2129)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.2 2003/03/03 07:31:51 mij Exp $
+
 PortSystem 1.0
 name		kdetoys3
Index: trunk/dports/x11/kdeutils3/Portfile
===================================================================
--- trunk/dports/x11/kdeutils3/Portfile	(revision 2128)
+++ trunk/dports/x11/kdeutils3/Portfile	(revision 2129)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.2 2003/03/03 07:31:51 mij Exp $
+
 PortSystem 1.0
 name		kdeutils3
Index: trunk/dports/x11/lablgtk/Portfile
===================================================================
--- trunk/dports/x11/lablgtk/Portfile	(revision 2128)
+++ trunk/dports/x11/lablgtk/Portfile	(revision 2129)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.3 2003/03/03 07:31:51 mij Exp $
+
 PortSystem 1.0
 name		lablgtk
Index: trunk/dports/x11/lesstif/Portfile
===================================================================
--- trunk/dports/x11/lesstif/Portfile	(revision 2128)
+++ trunk/dports/x11/lesstif/Portfile	(revision 2129)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.7 2003/03/03 07:31:51 mij Exp $
+
 PortSystem 1.0
 name		lesstif
Index: trunk/dports/x11/openMotif/Portfile
===================================================================
--- trunk/dports/x11/openMotif/Portfile	(revision 2128)
+++ trunk/dports/x11/openMotif/Portfile	(revision 2129)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.6 2003/03/03 07:31:51 mij Exp $
+
 PortSystem 1.0
 name		openMotif
Index: trunk/dports/x11/pango/Portfile
===================================================================
--- trunk/dports/x11/pango/Portfile	(revision 2128)
+++ trunk/dports/x11/pango/Portfile	(revision 2129)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.6 2003/03/03 07:31:51 mij Exp $
+
 PortSystem 1.0
 name		pango
Index: trunk/dports/x11/qt3/Portfile
===================================================================
--- trunk/dports/x11/qt3/Portfile	(revision 2128)
+++ trunk/dports/x11/qt3/Portfile	(revision 2129)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.10 2003/03/03 07:31:52 mij Exp $
+
 PortSystem 1.0
 name		qt3
Index: trunk/dports/x11/rxvt/Portfile
===================================================================
--- trunk/dports/x11/rxvt/Portfile	(revision 2128)
+++ trunk/dports/x11/rxvt/Portfile	(revision 2129)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.4 2003/03/03 07:31:52 mij Exp $
+
 PortSystem 1.0
 name		rxvt
Index: trunk/dports/x11/tk/Portfile
===================================================================
--- trunk/dports/x11/tk/Portfile	(revision 2128)
+++ trunk/dports/x11/tk/Portfile	(revision 2129)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.6 2003/03/03 07:31:52 mij Exp $
+
 PortSystem 1.0
 name			tk
Index: trunk/dports/x11/vtwm/Portfile
===================================================================
--- trunk/dports/x11/vtwm/Portfile	(revision 2128)
+++ trunk/dports/x11/vtwm/Portfile	(revision 2129)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.7 2003/03/03 07:31:52 mij Exp $
+
 PortSystem 1.0
 name		vtwm
Index: trunk/dports/x11/wmclock/Portfile
===================================================================
--- trunk/dports/x11/wmclock/Portfile	(revision 2128)
+++ trunk/dports/x11/wmclock/Portfile	(revision 2129)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.9 2003/03/03 07:31:52 mij Exp $
+
 PortSystem 1.0
 name		wmclock
Index: trunk/dports/x11/xpm/Portfile
===================================================================
--- trunk/dports/x11/xpm/Portfile	(revision 2128)
+++ trunk/dports/x11/xpm/Portfile	(revision 2129)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.7 2003/03/03 07:31:53 mij Exp $
+
 PortSystem 1.0
 
Index: trunk/dports/x11/xsnow/Portfile
===================================================================
--- trunk/dports/x11/xsnow/Portfile	(revision 2128)
+++ trunk/dports/x11/xsnow/Portfile	(revision 2129)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.7 2003/03/03 07:31:53 mij Exp $
+
 PortSystem 1.0
 
Index: trunk/dports/x11/xspringies/Portfile
===================================================================
--- trunk/dports/x11/xspringies/Portfile	(revision 2128)
+++ trunk/dports/x11/xspringies/Portfile	(revision 2129)
@@ -1,2 +1,4 @@
+# $Id: Portfile,v 1.7 2003/03/03 07:31:53 mij Exp $
+
 PortSystem 1.0
 