Index: trunk/dports/audio/lame/Portfile
===================================================================
--- trunk/dports/audio/lame/Portfile	(revision 2409)
+++ trunk/dports/audio/lame/Portfile	(revision 2410)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.11 2003/03/03 06:10:40 mij Exp $
+# $Id: Portfile,v 1.12 2003/04/05 04:27:41 jpm Exp $
 
 PortSystem 1.0
@@ -17,11 +17,11 @@
 platforms	darwin freebsd
 master_sites	\
-	http://unc.dl.sourceforge.net/sourceforge/lame/ \
-	http://telia.dl.sourceforge.net/sourceforge/lame/ \
-	http://easynews.dl.sourceforge.net/sourceforge/lame/ \
-	http://umn.dl.sourceforge.net/sourceforge/lame/ \
-	http://twtelecom.dl.sourceforge.net/sourceforge/lame/ \
-	http://belnet.dl.sourceforge.net/sourceforge/lame/ \
-	http://switch.dl.sourceforge.net/sourceforge/lame/ \
-	http://cesnet.dl.sourceforge.net/sourceforge/lame/
+	http://unc.dl.sourceforge.net/sourceforge/${name}/ \
+	http://telia.dl.sourceforge.net/sourceforge/${name}/ \
+	http://easynews.dl.sourceforge.net/sourceforge/${name}/ \
+	http://umn.dl.sourceforge.net/sourceforge/${name}/ \
+	http://twtelecom.dl.sourceforge.net/sourceforge/${name}/ \
+	http://belnet.dl.sourceforge.net/sourceforge/${name}/ \
+	http://switch.dl.sourceforge.net/sourceforge/${name}/ \
+	http://cesnet.dl.sourceforge.net/sourceforge/${name}/
 checksums	md5 1b79c08045eafc55e24ebd38d9e84329
Index: trunk/dports/audio/sox/Portfile
===================================================================
--- trunk/dports/audio/sox/Portfile	(revision 2409)
+++ trunk/dports/audio/sox/Portfile	(revision 2410)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.5 2003/03/03 06:10:43 mij Exp $
+# $Id: Portfile,v 1.6 2003/04/05 04:27:42 jpm Exp $
 
 package require port 1.0
@@ -8,20 +8,21 @@
 maintainers	jpm@opendarwin.org
 description	SOund eXchange - universal sound sample translator
-long_description	SoX (also known as Sound eXchange) translates sound \
-	samples between different file formats, and optionally applies \
-	various sound effects. SoX is intended as the Swiss Army knife of \
-	sound processing tools. It doesn't do anything very well, but sooner \
-	or later it comes in very handy.
+long_description	\
+	SoX (also known as Sound eXchange) translates sound samples between \
+	different file formats, and optionally applies various sound \
+	effects. SoX is intended as the Swiss Army knife of sound processing \
+	tools. It doesn't do anything very well, but sooner or later it \
+	comes in very handy.
 homepage	http://sox.sourceforge.net/
 platforms	darwin
-master_sites	http://unc.dl.sourceforge.net/sourceforge/sox/ \
-		http://telia.dl.sourceforge.net/sourceforge/sox/ \
-		http://easynews.dl.sourceforge.net/sourceforge/sox/ \
-		http://umn.dl.sourceforge.net/sourceforge/sox/ \
-		http://twtelecom.dl.sourceforge.net/sourceforge/sox/ \
-		http://belnet.dl.sourceforge.net/sourceforge/sox/ \
-		http://switch.dl.sourceforge.net/sourceforge/sox/ \
-		http://cesnet.dl.sourceforge.net/sourceforge/sox/
+master_sites	\
+	http://unc.dl.sourceforge.net/sourceforge/${name}/ \
+	http://telia.dl.sourceforge.net/sourceforge/${name}/ \
+	http://easynews.dl.sourceforge.net/sourceforge/${name}/ \
+	http://umn.dl.sourceforge.net/sourceforge/${name}/ \
+	http://twtelecom.dl.sourceforge.net/sourceforge/${name}/ \
+	http://belnet.dl.sourceforge.net/sourceforge/${name}/ \
+	http://switch.dl.sourceforge.net/sourceforge/${name}/ \
+	http://cesnet.dl.sourceforge.net/sourceforge/${name}/
 checksums	md5 1b9998387616ce0638c8edd1145f9932
-
 install.destroot prefix=${destroot}${prefix}
Index: trunk/dports/devel/mhash/Portfile
===================================================================
--- trunk/dports/devel/mhash/Portfile	(revision 2409)
+++ trunk/dports/devel/mhash/Portfile	(revision 2410)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.5 2003/03/03 07:13:34 mij Exp $
+# $Id: Portfile,v 1.6 2003/04/05 04:27:43 jpm Exp $
 
 PortSystem 1.0
@@ -14,11 +14,11 @@
 platforms	darwin
 master_sites	\
-	http://unc.dl.sourceforge.net/sourceforge/mhash/ \
-	http://telia.dl.sourceforge.net/sourceforge/mhash/ \
-	http://easynews.dl.sourceforge.net/sourceforge/mhash/ \
-	http://umn.dl.sourceforge.net/sourceforge/mhash/ \
-	http://twtelecom.dl.sourceforge.net/sourceforge/mhash/ \
-	http://belnet.dl.sourceforge.net/sourceforge/mhash/ \
-	http://switch.dl.sourceforge.net/sourceforge/mhash/ \
-	http://cesnet.dl.sourceforge.net/sourceforge/mhash/
+	http://unc.dl.sourceforge.net/sourceforge/${name}/ \
+	http://telia.dl.sourceforge.net/sourceforge/${name}/ \
+	http://easynews.dl.sourceforge.net/sourceforge/${name}/ \
+	http://umn.dl.sourceforge.net/sourceforge/${name}/ \
+	http://twtelecom.dl.sourceforge.net/sourceforge/${name}/ \
+	http://belnet.dl.sourceforge.net/sourceforge/${name}/ \
+	http://switch.dl.sourceforge.net/sourceforge/${name}/ \
+	http://cesnet.dl.sourceforge.net/sourceforge/${name}/
 checksums	md5 6f3e389ebbfc5613827375cf8cdd99c8
Index: trunk/dports/devel/viewcvs/Portfile
===================================================================
--- trunk/dports/devel/viewcvs/Portfile	(revision 2409)
+++ trunk/dports/devel/viewcvs/Portfile	(revision 2410)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.7 2003/03/03 06:18:09 mij Exp $
+# $Id: Portfile,v 1.8 2003/04/05 04:27:42 jpm Exp $
 
 PortSystem 1.0
@@ -17,12 +17,12 @@
 platforms	darwin
 master_sites	\
-	http://unc.dl.sourceforge.net/sourceforge/viewcvs/ \
-	http://telia.dl.sourceforge.net/sourceforge/viewcvs/ \
-	http://easynews.dl.sourceforge.net/sourceforge/viewcvs/ \
-	http://umn.dl.sourceforge.net/sourceforge/viewcvs/ \
-	http://twtelecom.dl.sourceforge.net/sourceforge/viewcvs/ \
-	http://belnet.dl.sourceforge.net/sourceforge/viewcvs/ \
-	http://switch.dl.sourceforge.net/sourceforge/viewcvs/ \
-	http://cesnet.dl.sourceforge.net/sourceforge/viewcvs/
+	http://unc.dl.sourceforge.net/sourceforge/${name}/ \
+	http://telia.dl.sourceforge.net/sourceforge/${name}/ \
+	http://easynews.dl.sourceforge.net/sourceforge/${name}/ \
+	http://umn.dl.sourceforge.net/sourceforge/${name}/ \
+	http://twtelecom.dl.sourceforge.net/sourceforge/${name}/ \
+	http://belnet.dl.sourceforge.net/sourceforge/${name}/ \
+	http://switch.dl.sourceforge.net/sourceforge/${name}/ \
+	http://cesnet.dl.sourceforge.net/sourceforge/${name}/
 checksums	md5 c7857b1ed05240ad1f691ea40044daf2
 #some evil to make things work
Index: trunk/dports/emulators/bochs/Portfile
===================================================================
--- trunk/dports/emulators/bochs/Portfile	(revision 2409)
+++ trunk/dports/emulators/bochs/Portfile	(revision 2410)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.9 2003/03/03 06:29:42 mij Exp $
+# $Id: Portfile,v 1.10 2003/04/05 04:27:42 jpm Exp $
 
 PortSystem 1.0
@@ -14,12 +14,13 @@
 	386, 486 or Pentium CPU.
 platforms	darwin
-master_sites	http://unc.dl.sourceforge.net/sourceforge/bochs/ \
-		http://telia.dl.sourceforge.net/sourceforge/bochs/ \
-		http://easynews.dl.sourceforge.net/sourceforge/bochs/ \
-		http://umn.dl.sourceforge.net/sourceforge/bochs/ \
-		http://twtelecom.dl.sourceforge.net/sourceforge/bochs/ \
-		http://belnet.dl.sourceforge.net/sourceforge/bochs/ \
-		http://switch.dl.sourceforge.net/sourceforge/bochs/ \
-		http://cesnet.dl.sourceforge.net/sourceforge/bochs/
+master_sites \
+	http://unc.dl.sourceforge.net/sourceforge/${name}/ \
+	http://telia.dl.sourceforge.net/sourceforge/${name}/ \
+	http://easynews.dl.sourceforge.net/sourceforge/${name}/ \
+	http://umn.dl.sourceforge.net/sourceforge/${name}/ \
+	http://twtelecom.dl.sourceforge.net/sourceforge/${name}/ \
+	http://belnet.dl.sourceforge.net/sourceforge/${name}/ \
+	http://switch.dl.sourceforge.net/sourceforge/${name}/ \
+	http://cesnet.dl.sourceforge.net/sourceforge/${name}/
 checksums	md5 12e591b5cec2e0051e18605483f64678
 patchfiles 	patch-Makefile.in patch-cdrom_osx
Index: trunk/dports/net/ettercap/Portfile
===================================================================
--- trunk/dports/net/ettercap/Portfile	(revision 2409)
+++ trunk/dports/net/ettercap/Portfile	(revision 2410)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.8 2003/03/18 03:06:14 jpm Exp $
+# $Id: Portfile,v 1.9 2003/04/05 04:27:42 jpm Exp $
 
 PortSystem 1.0
@@ -18,12 +18,12 @@
 platforms	darwin freebsd
 master_sites	\
-	http://unc.dl.sourceforge.net/sourceforge/ettercap/ \
-	http://telia.dl.sourceforge.net/sourceforge/ettercap/ \
-	http://easynews.dl.sourceforge.net/sourceforge/ettercap/ \
-	http://umn.dl.sourceforge.net/sourceforge/ettercap/ \
-	http://twtelecom.dl.sourceforge.net/sourceforge/ettercap/ \
-	http://belnet.dl.sourceforge.net/sourceforge/ettercap/ \
-	http://switch.dl.sourceforge.net/sourceforge/ettercap/ \
-	http://cesnet.dl.sourceforge.net/sourceforge/ettercap/
+	http://unc.dl.sourceforge.net/sourceforge/${name}/ \
+	http://telia.dl.sourceforge.net/sourceforge/${name}/ \
+	http://easynews.dl.sourceforge.net/sourceforge/${name}/ \
+	http://umn.dl.sourceforge.net/sourceforge/${name}/ \
+	http://twtelecom.dl.sourceforge.net/sourceforge/${name}/ \
+	http://belnet.dl.sourceforge.net/sourceforge/${name}/ \
+	http://switch.dl.sourceforge.net/sourceforge/${name}/ \
+	http://cesnet.dl.sourceforge.net/sourceforge/${name}/
 checksums	md5 7cd239755619e3388eb5870d366b6f6a
 configure.args	--enable-ncurses --disable-gtk --enable-https \
Index: trunk/dports/net/libdnet/Portfile
===================================================================
--- trunk/dports/net/libdnet/Portfile	(revision 2409)
+++ trunk/dports/net/libdnet/Portfile	(revision 2410)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.7 2003/03/03 07:09:33 mij Exp $
+# $Id: Portfile,v 1.8 2003/04/05 04:27:43 jpm Exp $
 
 PortSystem 1.0
@@ -18,11 +18,11 @@
 platforms	darwin
 master_sites	\
-	http://unc.dl.sourceforge.net/sourceforge/libdnet/ \
-	http://telia.dl.sourceforge.net/sourceforge/libdnet/ \
-	http://easynews.dl.sourceforge.net/sourceforge/libdnet/ \
-	http://umn.dl.sourceforge.net/sourceforge/libdnet/ \
-	http://twtelecom.dl.sourceforge.net/sourceforge/libdnet/ \
-	http://belnet.dl.sourceforge.net/sourceforge/libdnet/ \
-	http://switch.dl.sourceforge.net/sourceforge/libdnet/ \
-	http://cesnet.dl.sourceforge.net/sourceforge/libdnet/
+	http://unc.dl.sourceforge.net/sourceforge/${name}/ \
+	http://telia.dl.sourceforge.net/sourceforge/${name}/ \
+	http://easynews.dl.sourceforge.net/sourceforge/${name}/ \
+	http://umn.dl.sourceforge.net/sourceforge/${name}/ \
+	http://twtelecom.dl.sourceforge.net/sourceforge/${name}/ \
+	http://belnet.dl.sourceforge.net/sourceforge/${name}/ \
+	http://switch.dl.sourceforge.net/sourceforge/${name}/ \
+	http://cesnet.dl.sourceforge.net/sourceforge/${name}/
 checksums	md5 378c10adefc3ce5333af8f3ee47385cc
Index: trunk/dports/security/mhash/Portfile
===================================================================
--- trunk/dports/security/mhash/Portfile	(revision 2409)
+++ trunk/dports/security/mhash/Portfile	(revision 2410)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.5 2003/03/03 07:13:34 mij Exp $
+# $Id: Portfile,v 1.6 2003/04/05 04:27:43 jpm Exp $
 
 PortSystem 1.0
@@ -14,11 +14,11 @@
 platforms	darwin
 master_sites	\
-	http://unc.dl.sourceforge.net/sourceforge/mhash/ \
-	http://telia.dl.sourceforge.net/sourceforge/mhash/ \
-	http://easynews.dl.sourceforge.net/sourceforge/mhash/ \
-	http://umn.dl.sourceforge.net/sourceforge/mhash/ \
-	http://twtelecom.dl.sourceforge.net/sourceforge/mhash/ \
-	http://belnet.dl.sourceforge.net/sourceforge/mhash/ \
-	http://switch.dl.sourceforge.net/sourceforge/mhash/ \
-	http://cesnet.dl.sourceforge.net/sourceforge/mhash/
+	http://unc.dl.sourceforge.net/sourceforge/${name}/ \
+	http://telia.dl.sourceforge.net/sourceforge/${name}/ \
+	http://easynews.dl.sourceforge.net/sourceforge/${name}/ \
+	http://umn.dl.sourceforge.net/sourceforge/${name}/ \
+	http://twtelecom.dl.sourceforge.net/sourceforge/${name}/ \
+	http://belnet.dl.sourceforge.net/sourceforge/${name}/ \
+	http://switch.dl.sourceforge.net/sourceforge/${name}/ \
+	http://cesnet.dl.sourceforge.net/sourceforge/${name}/
 checksums	md5 6f3e389ebbfc5613827375cf8cdd99c8
Index: trunk/dports/x11/aterm/Portfile
===================================================================
--- trunk/dports/x11/aterm/Portfile	(revision 2409)
+++ trunk/dports/x11/aterm/Portfile	(revision 2410)
@@ -1,3 +1,3 @@
-# $Id: Portfile,v 1.6 2003/03/18 06:05:06 mij Exp $
+# $Id: Portfile,v 1.7 2003/04/05 04:27:43 jpm Exp $
 
 PortSystem 1.0
@@ -17,12 +17,12 @@
 platforms	darwin
 master_sites	\
-	http://unc.dl.sourceforge.net/sourceforge/aterm/ \
-	http://telia.dl.sourceforge.net/sourceforge/aterm/ \
-	http://easynews.dl.sourceforge.net/sourceforge/aterm/ \
-	http://umn.dl.sourceforge.net/sourceforge/aterm/ \
-	http://twtelecom.dl.sourceforge.net/sourceforge/aterm/ \
-	http://belnet.dl.sourceforge.net/sourceforge/aterm/ \
-	http://switch.dl.sourceforge.net/sourceforge/aterm/ \
-	http://cesnet.dl.sourceforge.net/sourceforge/aterm/
+	http://unc.dl.sourceforge.net/sourceforge/${name}/ \
+	http://telia.dl.sourceforge.net/sourceforge/${name}/ \
+	http://easynews.dl.sourceforge.net/sourceforge/${name}/ \
+	http://umn.dl.sourceforge.net/sourceforge/${name}/ \
+	http://twtelecom.dl.sourceforge.net/sourceforge/${name}/ \
+	http://belnet.dl.sourceforge.net/sourceforge/${name}/ \
+	http://switch.dl.sourceforge.net/sourceforge/${name}/ \
+	http://cesnet.dl.sourceforge.net/sourceforge/${name}/
 checksums	md5 d046fcf7fadd661dd5efb393a43c57b1
 depends_lib	\