Index: trunk/dports/lang/ocaml/contents
===================================================================
--- trunk/dports/lang/ocaml/contents	(revision 2413)
+++ 	(revision )
@@ -1,538 +1,0 @@
-contents \
-    bin/camlp4 \
-    bin/camlp4o \
-    bin/camlp4r \
-    bin/mkcamlp4 \
-    bin/ocaml \
-    bin/ocamlc \
-    bin/ocamlcp \
-    bin/ocamldebug \
-    bin/ocamldep \
-    bin/ocamldoc \
-    bin/ocamllex \
-    bin/ocamlmklib \
-    bin/ocamlmktop \
-    bin/ocamlopt \
-    bin/ocamlprof \
-    bin/ocamlrun \
-    bin/ocamlyacc \
-    bin/ocpp \
-    lib/ocaml/addlabels \
-    lib/ocaml/arg.cmi \
-    lib/ocaml/arg.cmx \
-    lib/ocaml/arg.ml \
-    lib/ocaml/arg.mli \
-    lib/ocaml/arith_flags.cmx \
-    lib/ocaml/arith_status.cmi \
-    lib/ocaml/arith_status.cmx \
-    lib/ocaml/arith_status.mli \
-    lib/ocaml/array.cmi \
-    lib/ocaml/array.cmx \
-    lib/ocaml/array.ml \
-    lib/ocaml/array.mli \
-    lib/ocaml/arrayLabels.cmi \
-    lib/ocaml/arrayLabels.cmx \
-    lib/ocaml/arrayLabels.ml \
-    lib/ocaml/arrayLabels.mli \
-    lib/ocaml/big_int.cmi \
-    lib/ocaml/big_int.cmx \
-    lib/ocaml/big_int.mli \
-    lib/ocaml/bigarray.a \
-    lib/ocaml/bigarray.cma \
-    lib/ocaml/bigarray.cmi \
-    lib/ocaml/bigarray.cmx \
-    lib/ocaml/bigarray.cmxa \
-    lib/ocaml/bigarray.mli \
-    lib/ocaml/buffer.cmi \
-    lib/ocaml/buffer.cmx \
-    lib/ocaml/buffer.ml \
-    lib/ocaml/buffer.mli \
-    lib/ocaml/callback.cmi \
-    lib/ocaml/callback.cmx \
-    lib/ocaml/callback.ml \
-    lib/ocaml/callback.mli \
-    lib/ocaml/caml/alloc.h \
-    lib/ocaml/caml/bigarray.h \
-    lib/ocaml/caml/callback.h \
-    lib/ocaml/caml/config.h \
-    lib/ocaml/caml/custom.h \
-    lib/ocaml/caml/fail.h \
-    lib/ocaml/caml/intext.h \
-    lib/ocaml/caml/memory.h \
-    lib/ocaml/caml/misc.h \
-    lib/ocaml/caml/mlvalues.h \
-    lib/ocaml/caml \
-    lib/ocaml/camlheader \
-    lib/ocaml/camlheader_ur \
-    lib/ocaml/camlinternalOO.cmi \
-    lib/ocaml/camlinternalOO.cmx \
-    lib/ocaml/camlinternalOO.ml \
-    lib/ocaml/camlinternalOO.mli \
-    lib/ocaml/camlp4/ast2pt.cmi \
-    lib/ocaml/camlp4/ast2pt.mli \
-    lib/ocaml/camlp4/camlp4.cma \
-    lib/ocaml/camlp4/camlp4_top.cma \
-    lib/ocaml/camlp4/camlp4o.cma \
-    lib/ocaml/camlp4/camlp4r.cma \
-    lib/ocaml/camlp4/crc.cmo \
-    lib/ocaml/camlp4/extfold.cmi \
-    lib/ocaml/camlp4/extfold.cmx \
-    lib/ocaml/camlp4/extfold.mli \
-    lib/ocaml/camlp4/extfun.cmi \
-    lib/ocaml/camlp4/extfun.cmx \
-    lib/ocaml/camlp4/extfun.mli \
-    lib/ocaml/camlp4/fstream.cmi \
-    lib/ocaml/camlp4/fstream.cmx \
-    lib/ocaml/camlp4/fstream.mli \
-    lib/ocaml/camlp4/gramext.cmi \
-    lib/ocaml/camlp4/gramext.cmx \
-    lib/ocaml/camlp4/gramext.mli \
-    lib/ocaml/camlp4/gramlib.a \
-    lib/ocaml/camlp4/gramlib.cma \
-    lib/ocaml/camlp4/gramlib.cmxa \
-    lib/ocaml/camlp4/grammar.cmi \
-    lib/ocaml/camlp4/grammar.cmx \
-    lib/ocaml/camlp4/grammar.mli \
-    lib/ocaml/camlp4/lib.sml \
-    lib/ocaml/camlp4/mLast.cmi \
-    lib/ocaml/camlp4/mLast.mli \
-    lib/ocaml/camlp4/ocpp.cmo \
-    lib/ocaml/camlp4/odyl.cma \
-    lib/ocaml/camlp4/odyl.cmo \
-    lib/ocaml/camlp4/pa_extend.cmi \
-    lib/ocaml/camlp4/pa_extend.cmo \
-    lib/ocaml/camlp4/pa_extend_m.cmo \
-    lib/ocaml/camlp4/pa_extfold.cmo \
-    lib/ocaml/camlp4/pa_extfun.cmo \
-    lib/ocaml/camlp4/pa_format.cmo \
-    lib/ocaml/camlp4/pa_fstream.cmo \
-    lib/ocaml/camlp4/pa_ifdef.cmi \
-    lib/ocaml/camlp4/pa_ifdef.cmo \
-    lib/ocaml/camlp4/pa_lefteval.cmo \
-    lib/ocaml/camlp4/pa_lisp.cmo \
-    lib/ocaml/camlp4/pa_o.cmi \
-    lib/ocaml/camlp4/pa_o.cmo \
-    lib/ocaml/camlp4/pa_ocamllex.cma \
-    lib/ocaml/camlp4/pa_olabl.cmo \
-    lib/ocaml/camlp4/pa_oop.cmo \
-    lib/ocaml/camlp4/pa_op.cmo \
-    lib/ocaml/camlp4/pa_r.cmo \
-    lib/ocaml/camlp4/pa_rp.cmo \
-    lib/ocaml/camlp4/pa_ru.cmo \
-    lib/ocaml/camlp4/pa_sml.cmo \
-    lib/ocaml/camlp4/pcaml.cmi \
-    lib/ocaml/camlp4/pcaml.mli \
-    lib/ocaml/camlp4/plexer.cmi \
-    lib/ocaml/camlp4/plexer.cmx \
-    lib/ocaml/camlp4/plexer.mli \
-    lib/ocaml/camlp4/pr_depend.cmo \
-    lib/ocaml/camlp4/pr_dump.cmo \
-    lib/ocaml/camlp4/pr_extend.cmo \
-    lib/ocaml/camlp4/pr_extfun.cmo \
-    lib/ocaml/camlp4/pr_null.cmo \
-    lib/ocaml/camlp4/pr_o.cmo \
-    lib/ocaml/camlp4/pr_op.cmo \
-    lib/ocaml/camlp4/pr_r.cmo \
-    lib/ocaml/camlp4/pr_rp.cmo \
-    lib/ocaml/camlp4/q_MLast.cmo \
-    lib/ocaml/camlp4/q_phony.cmo \
-    lib/ocaml/camlp4/quotation.cmi \
-    lib/ocaml/camlp4/quotation.mli \
-    lib/ocaml/camlp4/spretty.cmi \
-    lib/ocaml/camlp4/spretty.mli \
-    lib/ocaml/camlp4/stdpp.cmi \
-    lib/ocaml/camlp4/stdpp.cmx \
-    lib/ocaml/camlp4/stdpp.mli \
-    lib/ocaml/camlp4/token.cmi \
-    lib/ocaml/camlp4/token.cmx \
-    lib/ocaml/camlp4/token.mli \
-    lib/ocaml/camlp4 \
-    lib/ocaml/char.cmi \
-    lib/ocaml/char.cmx \
-    lib/ocaml/char.ml \
-    lib/ocaml/char.mli \
-    lib/ocaml/complex.cmi \
-    lib/ocaml/complex.cmx \
-    lib/ocaml/complex.ml \
-    lib/ocaml/complex.mli \
-    lib/ocaml/condition.mli \
-    lib/ocaml/dbm.a \
-    lib/ocaml/dbm.cma \
-    lib/ocaml/dbm.cmi \
-    lib/ocaml/dbm.cmx \
-    lib/ocaml/dbm.cmxa \
-    lib/ocaml/dbm.mli \
-    lib/ocaml/digest.cmi \
-    lib/ocaml/digest.cmx \
-    lib/ocaml/digest.ml \
-    lib/ocaml/digest.mli \
-    lib/ocaml/dynlink.cma \
-    lib/ocaml/dynlink.cmi \
-    lib/ocaml/dynlink.mli \
-    lib/ocaml/event.mli \
-    lib/ocaml/expunge \
-    lib/ocaml/extract_crc \
-    lib/ocaml/filename.cmi \
-    lib/ocaml/filename.cmx \
-    lib/ocaml/filename.ml \
-    lib/ocaml/filename.mli \
-    lib/ocaml/format.cmi \
-    lib/ocaml/format.cmx \
-    lib/ocaml/format.ml \
-    lib/ocaml/format.mli \
-    lib/ocaml/gc.cmi \
-    lib/ocaml/gc.cmx \
-    lib/ocaml/gc.ml \
-    lib/ocaml/gc.mli \
-    lib/ocaml/genlex.cmi \
-    lib/ocaml/genlex.cmx \
-    lib/ocaml/genlex.ml \
-    lib/ocaml/genlex.mli \
-    lib/ocaml/graphics.a \
-    lib/ocaml/graphics.cma \
-    lib/ocaml/graphics.cmi \
-    lib/ocaml/graphics.cmxa \
-    lib/ocaml/graphics.mli \
-    lib/ocaml/graphicsX11.cmi \
-    lib/ocaml/graphicsX11.mli \
-    lib/ocaml/hashtbl.cmi \
-    lib/ocaml/hashtbl.cmx \
-    lib/ocaml/hashtbl.ml \
-    lib/ocaml/hashtbl.mli \
-    lib/ocaml/int32.cmi \
-    lib/ocaml/int32.cmx \
-    lib/ocaml/int32.ml \
-    lib/ocaml/int32.mli \
-    lib/ocaml/int64.cmi \
-    lib/ocaml/int64.cmx \
-    lib/ocaml/int64.ml \
-    lib/ocaml/int64.mli \
-    lib/ocaml/int_misc.cmx \
-    lib/ocaml/labelled.cmx \
-    lib/ocaml/lazy.cmi \
-    lib/ocaml/lazy.cmx \
-    lib/ocaml/lazy.ml \
-    lib/ocaml/lazy.mli \
-    lib/ocaml/ld.conf \
-    lib/ocaml/lexing.cmi \
-    lib/ocaml/lexing.cmx \
-    lib/ocaml/lexing.ml \
-    lib/ocaml/lexing.mli \
-    lib/ocaml/libasmrun.a \
-    lib/ocaml/libasmrunp.a \
-    lib/ocaml/libbigarray.a \
-    lib/ocaml/libcamlrun.a \
-    lib/ocaml/libgraphics.a \
-    lib/ocaml/libmldbm.a \
-    lib/ocaml/libnums.a \
-    lib/ocaml/libstr.a \
-    lib/ocaml/libthreads.a \
-    lib/ocaml/libunix.a \
-    lib/ocaml/list.cmi \
-    lib/ocaml/list.cmx \
-    lib/ocaml/list.ml \
-    lib/ocaml/list.mli \
-    lib/ocaml/listLabels.cmi \
-    lib/ocaml/listLabels.cmx \
-    lib/ocaml/listLabels.ml \
-    lib/ocaml/listLabels.mli \
-    lib/ocaml/map.cmi \
-    lib/ocaml/map.cmx \
-    lib/ocaml/map.ml \
-    lib/ocaml/map.mli \
-    lib/ocaml/marshal.cmi \
-    lib/ocaml/marshal.cmx \
-    lib/ocaml/marshal.ml \
-    lib/ocaml/marshal.mli \
-    lib/ocaml/moreLabels.cmi \
-    lib/ocaml/moreLabels.cmx \
-    lib/ocaml/moreLabels.ml \
-    lib/ocaml/moreLabels.mli \
-    lib/ocaml/mutex.mli \
-    lib/ocaml/nat.cmi \
-    lib/ocaml/nat.cmx \
-    lib/ocaml/nat.mli \
-    lib/ocaml/nativeint.cmi \
-    lib/ocaml/nativeint.cmx \
-    lib/ocaml/nativeint.ml \
-    lib/ocaml/nativeint.mli \
-    lib/ocaml/num.cmi \
-    lib/ocaml/num.cmx \
-    lib/ocaml/num.mli \
-    lib/ocaml/nums.a \
-    lib/ocaml/nums.cma \
-    lib/ocaml/nums.cmxa \
-    lib/ocaml/obj.cmi \
-    lib/ocaml/obj.cmx \
-    lib/ocaml/obj.ml \
-    lib/ocaml/obj.mli \
-    lib/ocaml/ocamldoc/ocamldoc.hva \
-    lib/ocaml/ocamldoc/ocamldoc.sty \
-    lib/ocaml/ocamldoc/odoc.cmi \
-    lib/ocaml/ocamldoc/odoc_analyse.cmi \
-    lib/ocaml/ocamldoc/odoc_args.cmi \
-    lib/ocaml/ocamldoc/odoc_ast.cmi \
-    lib/ocaml/ocamldoc/odoc_class.cmi \
-    lib/ocaml/ocamldoc/odoc_comments.cmi \
-    lib/ocaml/ocamldoc/odoc_comments_global.cmi \
-    lib/ocaml/ocamldoc/odoc_control.cmi \
-    lib/ocaml/ocamldoc/odoc_crc.cmi \
-    lib/ocaml/ocamldoc/odoc_cross.cmi \
-    lib/ocaml/ocamldoc/odoc_dag2html.cmi \
-    lib/ocaml/ocamldoc/odoc_dep.cmi \
-    lib/ocaml/ocamldoc/odoc_dot.cmi \
-    lib/ocaml/ocamldoc/odoc_env.cmi \
-    lib/ocaml/ocamldoc/odoc_exception.cmi \
-    lib/ocaml/ocamldoc/odoc_global.cmi \
-    lib/ocaml/ocamldoc/odoc_html.cmi \
-    lib/ocaml/ocamldoc/odoc_info.cma \
-    lib/ocaml/ocamldoc/odoc_info.cmi \
-    lib/ocaml/ocamldoc/odoc_info.mli \
-    lib/ocaml/ocamldoc/odoc_inherit.cmi \
-    lib/ocaml/ocamldoc/odoc_latex.cmi \
-    lib/ocaml/ocamldoc/odoc_lexer.cmi \
-    lib/ocaml/ocamldoc/odoc_man.cmi \
-    lib/ocaml/ocamldoc/odoc_merge.cmi \
-    lib/ocaml/ocamldoc/odoc_messages.cmi \
-    lib/ocaml/ocamldoc/odoc_misc.cmi \
-    lib/ocaml/ocamldoc/odoc_module.cmi \
-    lib/ocaml/ocamldoc/odoc_name.cmi \
-    lib/ocaml/ocamldoc/odoc_ocamlhtml.cmi \
-    lib/ocaml/ocamldoc/odoc_parameter.cmi \
-    lib/ocaml/ocamldoc/odoc_parser.cmi \
-    lib/ocaml/ocamldoc/odoc_scan.cmi \
-    lib/ocaml/ocamldoc/odoc_search.cmi \
-    lib/ocaml/ocamldoc/odoc_see_lexer.cmi \
-    lib/ocaml/ocamldoc/odoc_sig.cmi \
-    lib/ocaml/ocamldoc/odoc_str.cmi \
-    lib/ocaml/ocamldoc/odoc_texi.cmi \
-    lib/ocaml/ocamldoc/odoc_text.cmi \
-    lib/ocaml/ocamldoc/odoc_text_lexer.cmi \
-    lib/ocaml/ocamldoc/odoc_text_parser.cmi \
-    lib/ocaml/ocamldoc/odoc_to_text.cmi \
-    lib/ocaml/ocamldoc/odoc_type.cmi \
-    lib/ocaml/ocamldoc/odoc_types.cmi \
-    lib/ocaml/ocamldoc/odoc_value.cmi \
-    lib/ocaml/ocamldoc \
-    lib/ocaml/oo.cmi \
-    lib/ocaml/oo.cmx \
-    lib/ocaml/oo.ml \
-    lib/ocaml/oo.mli \
-    lib/ocaml/outcometree.cmi \
-    lib/ocaml/outcometree.mli \
-    lib/ocaml/parsing.cmi \
-    lib/ocaml/parsing.cmx \
-    lib/ocaml/parsing.ml \
-    lib/ocaml/parsing.mli \
-    lib/ocaml/pervasives.cmi \
-    lib/ocaml/pervasives.cmx \
-    lib/ocaml/pervasives.ml \
-    lib/ocaml/pervasives.mli \
-    lib/ocaml/printexc.cmi \
-    lib/ocaml/printexc.cmx \
-    lib/ocaml/printexc.ml \
-    lib/ocaml/printexc.mli \
-    lib/ocaml/printf.cmi \
-    lib/ocaml/printf.cmx \
-    lib/ocaml/printf.ml \
-    lib/ocaml/printf.mli \
-    lib/ocaml/profiling.cmi \
-    lib/ocaml/profiling.cmo \
-    lib/ocaml/queue.cmi \
-    lib/ocaml/queue.cmx \
-    lib/ocaml/queue.ml \
-    lib/ocaml/queue.mli \
-    lib/ocaml/random.cmi \
-    lib/ocaml/random.cmx \
-    lib/ocaml/random.ml \
-    lib/ocaml/random.mli \
-    lib/ocaml/ratio.cmi \
-    lib/ocaml/ratio.cmx \
-    lib/ocaml/ratio.mli \
-    lib/ocaml/scanf.cmi \
-    lib/ocaml/scanf.cmx \
-    lib/ocaml/scanf.ml \
-    lib/ocaml/scanf.mli \
-    lib/ocaml/scrapelabels \
-    lib/ocaml/set.cmi \
-    lib/ocaml/set.cmx \
-    lib/ocaml/set.ml \
-    lib/ocaml/set.mli \
-    lib/ocaml/sort.cmi \
-    lib/ocaml/sort.cmx \
-    lib/ocaml/sort.ml \
-    lib/ocaml/sort.mli \
-    lib/ocaml/stack.cmi \
-    lib/ocaml/stack.cmx \
-    lib/ocaml/stack.ml \
-    lib/ocaml/stack.mli \
-    lib/ocaml/std_exit.cmi \
-    lib/ocaml/std_exit.cmo \
-    lib/ocaml/std_exit.cmx \
-    lib/ocaml/std_exit.ml \
-    lib/ocaml/std_exit.o \
-    lib/ocaml/std_exit.p.cmx \
-    lib/ocaml/std_exit.p.o \
-    lib/ocaml/stdLabels.cmi \
-    lib/ocaml/stdLabels.cmx \
-    lib/ocaml/stdLabels.ml \
-    lib/ocaml/stdLabels.mli \
-    lib/ocaml/stdlib.a \
-    lib/ocaml/stdlib.cma \
-    lib/ocaml/stdlib.cmxa \
-    lib/ocaml/stdlib.p.a \
-    lib/ocaml/stdlib.p.cmxa \
-    lib/ocaml/str.a \
-    lib/ocaml/str.cma \
-    lib/ocaml/str.cmi \
-    lib/ocaml/str.cmx \
-    lib/ocaml/str.cmxa \
-    lib/ocaml/str.mli \
-    lib/ocaml/stream.cmi \
-    lib/ocaml/stream.cmx \
-    lib/ocaml/stream.ml \
-    lib/ocaml/stream.mli \
-    lib/ocaml/string.cmi \
-    lib/ocaml/string.cmx \
-    lib/ocaml/string.ml \
-    lib/ocaml/string.mli \
-    lib/ocaml/string_misc.cmx \
-    lib/ocaml/stringLabels.cmi \
-    lib/ocaml/stringLabels.cmx \
-    lib/ocaml/stringLabels.ml \
-    lib/ocaml/stringLabels.mli \
-    lib/ocaml/stublibs \
-    lib/ocaml/sys.cmi \
-    lib/ocaml/sys.cmx \
-    lib/ocaml/sys.ml \
-    lib/ocaml/sys.mli \
-    lib/ocaml/thread.mli \
-    lib/ocaml/threads/condition.cmi \
-    lib/ocaml/threads/event.cmi \
-    lib/ocaml/threads/mutex.cmi \
-    lib/ocaml/threads/stdlib.cma \
-    lib/ocaml/threads/thread.cmi \
-    lib/ocaml/threads/threads.cma \
-    lib/ocaml/threads/threadUnix.cmi \
-    lib/ocaml/threads/unix.cma \
-    lib/ocaml/threads \
-    lib/ocaml/threadUnix.mli \
-    lib/ocaml/topdirs.cmi \
-    lib/ocaml/toplevellib.cma \
-    lib/ocaml/toploop.cmi \
-    lib/ocaml/topmain.cmi \
-    lib/ocaml/topstart.cmo \
-    lib/ocaml/unix.a \
-    lib/ocaml/unix.cma \
-    lib/ocaml/unix.cmi \
-    lib/ocaml/unix.cmx \
-    lib/ocaml/unix.cmxa \
-    lib/ocaml/unix.mli \
-    lib/ocaml/unixLabels.cmi \
-    lib/ocaml/unixLabels.cmx \
-    lib/ocaml/unixLabels.mli \
-    lib/ocaml/weak.cmi \
-    lib/ocaml/weak.cmx \
-    lib/ocaml/weak.ml \
-    lib/ocaml/weak.mli \
-    lib/ocaml \
-    man/man1/camlp4.1 \
-    man/man1/camlp4o.1 \
-    man/man1/camlp4o.opt.1 \
-    man/man1/camlp4r.1 \
-    man/man1/camlp4r.opt.1 \
-    man/man1/mkcamlp4.1 \
-    man/man1/ocaml.1 \
-    man/man1/ocamlc.1 \
-    man/man1/ocamlc.opt.1 \
-    man/man1/ocamlcp.1 \
-    man/man1/ocamldebug.1 \
-    man/man1/ocamldep.1 \
-    man/man1/ocamllex.1 \
-    man/man1/ocamlmktop.1 \
-    man/man1/ocamlopt.1 \
-    man/man1/ocamlopt.opt.1 \
-    man/man1/ocamlprof.1 \
-    man/man1/ocamlrun.1 \
-    man/man1/ocamlyacc.1 \
-    man/man1/ocpp.1 \
-    man/mano/Arg.o \
-    man/mano/Array.o \
-    man/mano/ArrayLabels.o \
-    man/mano/Bigarray.Array1.o \
-    man/mano/Bigarray.Array2.o \
-    man/mano/Bigarray.Array3.o \
-    man/mano/Bigarray.Genarray.o \
-    man/mano/Bigarray.o \
-    man/mano/Buffer.o \
-    man/mano/Callback.o \
-    man/mano/CamlinternalOO.o \
-    man/mano/Char.o \
-    man/mano/Complex.o \
-    man/mano/Digest.o \
-    man/mano/Filename.o \
-    man/mano/Format.o \
-    man/mano/Gc.o \
-    man/mano/Genlex.o \
-    man/mano/Hashtbl.HashedType.o \
-    man/mano/Hashtbl.Make.o \
-    man/mano/Hashtbl.o \
-    man/mano/Hashtbl.S.o \
-    man/mano/Int32.o \
-    man/mano/Int64.o \
-    man/mano/Lazy.o \
-    man/mano/Lexing.o \
-    man/mano/List.o \
-    man/mano/ListLabels.o \
-    man/mano/Map.Make.o \
-    man/mano/Map.o \
-    man/mano/Map.OrderedType.o \
-    man/mano/Map.S.o \
-    man/mano/Marshal.o \
-    man/mano/MoreLabels.Hashtbl.HashedType.o \
-    man/mano/MoreLabels.Hashtbl.Make.o \
-    man/mano/MoreLabels.Hashtbl.o \
-    man/mano/MoreLabels.Hashtbl.S.o \
-    man/mano/MoreLabels.Map.Make.o \
-    man/mano/MoreLabels.Map.o \
-    man/mano/MoreLabels.Map.OrderedType.o \
-    man/mano/MoreLabels.Map.S.o \
-    man/mano/MoreLabels.o \
-    man/mano/MoreLabels.Set.Make.o \
-    man/mano/MoreLabels.Set.o \
-    man/mano/MoreLabels.Set.OrderedType.o \
-    man/mano/MoreLabels.Set.S.o \
-    man/mano/Nativeint.o \
-    man/mano/Num.o \
-    man/mano/Obj.o \
-    man/mano/Oo.o \
-    man/mano/Parsing.o \
-    man/mano/Pervasives.LargeFile.o \
-    man/mano/Pervasives.o \
-    man/mano/Printexc.o \
-    man/mano/Printf.o \
-    man/mano/Queue.o \
-    man/mano/Random.o \
-    man/mano/Scanf.o \
-    man/mano/Scanf.Scanning.o \
-    man/mano/Set.Make.o \
-    man/mano/Set.o \
-    man/mano/Set.OrderedType.o \
-    man/mano/Set.S.o \
-    man/mano/Sort.o \
-    man/mano/Stack.o \
-    man/mano/StdLabels.Array.o \
-    man/mano/StdLabels.List.o \
-    man/mano/StdLabels.o \
-    man/mano/StdLabels.String.o \
-    man/mano/Str.o \
-    man/mano/Stream.o \
-    man/mano/String.o \
-    man/mano/StringLabels.o \
-    man/mano/Sys.o \
-    man/mano/Unix.LargeFile.o \
-    man/mano/Unix.o \
-    man/mano/Weak.Make.o \
-    man/mano/Weak.o \
-    man/mano/Weak.S.o
-